mui.init();
var coin = 0;
var startdate = '',
	enddate = '';
var isFree = false; //判断是否处于免费查询时间段
var isVIP = false;
mui.plusReady(function() {
	getAllModuleParam();
	mui('.mui-slider').slider().setStopped(true);
})

mui('.mui-slider').on('tap', 'a', function() {
	var id = this.id;
	if(id == 'a2')
		PayCoin(GetKExtractRatio_DayBefore, id, 2);
	else if(id == 'a3')
		PayCoin(GetKExtractRatio_Week, id, 2);
	else if(id == 'a4')
		PayCoin(GetKExtractRatio_Month, id, 2);
	else
		PayCoin(GetExtract20_DayBefore, id, 1);
});

//获取所有模块费用配置信息
function getAllModuleParam() {
	plus.nativeUI.showWaiting('获取配置中...');
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '开标系数查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					isVIP = eval(data.message.isVIP);
				}
				if(coin == "") coin = 10;
				var nowdate = new Date(new Date().getFullYear() + '-' + formattime(new Date().getMonth() + 1) + '-' + formattime(new Date().getDate()));
				var condition = '1==1';
				if(startdate != '') {
					condition += '&&startdate<=nowdate';
					startdate = new Date(startdate);
				}
				if(enddate != '') {
					condition += '&&nowdate<=enddate';
					enddate = new Date(enddate);
				}
				if((condition != '1==1' && eval(condition)) || coin == 0) {
					isFree = true;
				}
				plus.nativeUI.closeWaiting();
			}
			plus.nativeUI.closeWaiting();

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function formattime(value) {
	return value < 10 ? ('0' + value) : value;
}

//工程类型选择
var showUserPickerButton1 = document.getElementById('gclx');
var userResult1 = document.getElementById('spangclx');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '装饰装修工程',
		text: '装饰装修工程'
	}, {
		value: '安装工程',
		text: '安装工程'
	}, {
		value: '市政公用工程',
		text: '市政公用工程'
	}, {
		value: '园林绿化古建筑工程',
		text: '园林绿化古建筑工程'
	}, {
		value: '市政养护工程',
		text: '市政养护工程'
	}, {
		value: '水利水电工程',
		text: '水利水电工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '雨污水改造',
		text: '雨污水改造'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker1.show(function(items) {
		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton1.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById('spangclx').lang = "";
	document.getElementById('spangclx').innerText = "";
	document.getElementById('gclx').querySelector('.fr').innerText = '请选择';
})

function PayCoin(callback, id, type) {
	if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true" || isFree) {
		VisitInfo('系数查询', '查询评标基准价计算系数历史记录');
		//		GoldCoinConsumer("查询评标基准价计算方法历史");
		callback(id, type);
		return;
	}
	if(parseInt(localStorage["coinnum"]) - coin <= 0) {
		mui.toast("火币余额不足，请充值");
		mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
		return;
	}
	var bts = ["确定", "取消"];
	plus.nativeUI.confirm("查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
		if(bts[e.index] == "确定") {
			VisitInfo('系数查询', '查询评标基准价计算系数历史记录');
			GoldCoinConsumer("系数查询");
			callback(id, type);
		}
	}, "提示", bts);
}

function GetKExtractRatio_Custom(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetKExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang,
		StartTime: document.getElementById('spanstartdate').innerText,
		EndTime: document.getElementById('spanenddate').innerText
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k95date_" + id).innerHTML = data.message.K_95 == 0 ? 0 : parseFloat(data.message.K_95 * 100).toFixed(2) + "%";
					document.getElementById("k955date_" + id).innerHTML = data.message.K_955 == 0 ? 0 : parseFloat(data.message.K_955 * 100).toFixed(2) + "%";
					document.getElementById("k96date_" + id).innerHTML = data.message.K_96 == 0 ? 0 : parseFloat(data.message.K_96 * 100).toFixed(2) + "%";
					document.getElementById("k965date_" + id).innerHTML = data.message.K_965 == 0 ? 0 : parseFloat(data.message.K_965 * 100).toFixed(2) + "%";
					document.getElementById("k97date_" + id).innerHTML = data.message.K_97 == 0 ? 0 : parseFloat(data.message.K_97 * 100).toFixed(2) + "%";
					document.getElementById("k975date_" + id).innerHTML = data.message.K_975 == 0 ? 0 : parseFloat(data.message.K_975 * 100).toFixed(2) + "%";
					document.getElementById("k98date_" + id).innerHTML = data.message.K_98 == 0 ? 0 : parseFloat(data.message.K_98 * 100).toFixed(2) + "%";
					document.getElementById("kdate_" + id).innerHTML = document.getElementById('spanstartdate').innerText + "至" + document.getElementById('spanenddate').innerText;
				}
				GetK1ExtractRatio_Custom(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetK1ExtractRatio_Custom(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetK1ExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang,
		StartTime: document.getElementById('spanstartdate').innerText,
		EndTime: document.getElementById('spanenddate').innerText
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k195date_" + id).innerHTML = data.message.K1_95 == 0 ? 0 : parseFloat(data.message.K1_95 * 100).toFixed(2) + "%";
					document.getElementById("k1955date_" + id).innerHTML = data.message.K1_955 == 0 ? 0 : parseFloat(data.message.K1_955 * 100).toFixed(2) + "%";
					document.getElementById("k196date_" + id).innerHTML = data.message.K1_96 == 0 ? 0 : parseFloat(data.message.K1_96 * 100).toFixed(2) + "%";
					document.getElementById("k1965date_" + id).innerHTML = data.message.K1_965 == 0 ? 0 : parseFloat(data.message.K1_965 * 100).toFixed(2) + "%";
					document.getElementById("k197date_" + id).innerHTML = data.message.K1_97 == 0 ? 0 : parseFloat(data.message.K1_97 * 100).toFixed(2) + "%";
					document.getElementById("k1975date_" + id).innerHTML = data.message.K1_975 == 0 ? 0 : parseFloat(data.message.K1_975 * 100).toFixed(2) + "%";
					document.getElementById("k198date_" + id).innerHTML = data.message.K1_98 == 0 ? 0 : parseFloat(data.message.K1_98 * 100).toFixed(2) + "%";
					document.getElementById("k1date_" + id).innerHTML = document.getElementById('spanstartdate').innerText + "至" + document.getElementById('spanenddate').innerText;
				}
				GetQ1ExtractRatio_Custom(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetQ1ExtractRatio_Custom(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetQ1ExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang,
		StartTime: document.getElementById('spanstartdate').innerText,
		EndTime: document.getElementById('spanenddate').innerText
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("q65date_" + id).innerHTML = data.message.Q1_65 == 0 ? 0 : parseFloat(data.message.Q1_65 * 100).toFixed(2) + "%";
					document.getElementById("q70date_" + id).innerHTML = data.message.Q1_70 == 0 ? 0 : parseFloat(data.message.Q1_70 * 100).toFixed(2) + "%";
					document.getElementById("q75date_" + id).innerHTML = data.message.Q1_75 == 0 ? 0 : parseFloat(data.message.Q1_75 * 100).toFixed(2) + "%";
					document.getElementById("q80date_" + id).innerHTML = data.message.Q1_80 == 0 ? 0 : parseFloat(data.message.Q1_80 * 100).toFixed(2) + "%";
					document.getElementById("q85date_" + id).innerHTML = data.message.Q1_85 == 0 ? 0 : parseFloat(data.message.Q1_85 * 100).toFixed(2) + "%";
					document.getElementById("q1date_" + id).innerHTML = document.getElementById('spanstartdate').innerText + "至" + document.getElementById('spanenddate').innerText;
				}
				GetExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetKExtractRatio_DayBefore(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetKExtractRatio_DayBefore",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k95date_" + id).innerHTML = data.message.K_95 == 0 ? 0 : parseFloat(data.message.K_95 * 100).toFixed(2) + "%";
					document.getElementById("k955date_" + id).innerHTML = data.message.K_955 == 0 ? 0 : parseFloat(data.message.K_955 * 100).toFixed(2) + "%";
					document.getElementById("k96date_" + id).innerHTML = data.message.K_96 == 0 ? 0 : parseFloat(data.message.K_96 * 100).toFixed(2) + "%";
					document.getElementById("k965date_" + id).innerHTML = data.message.K_965 == 0 ? 0 : parseFloat(data.message.K_965 * 100).toFixed(2) + "%";
					document.getElementById("k97date_" + id).innerHTML = data.message.K_97 == 0 ? 0 : parseFloat(data.message.K_97 * 100).toFixed(2) + "%";
					document.getElementById("k975date_" + id).innerHTML = data.message.K_975 == 0 ? 0 : parseFloat(data.message.K_975 * 100).toFixed(2) + "%";
					document.getElementById("k98date_" + id).innerHTML = data.message.K_98 == 0 ? 0 : parseFloat(data.message.K_98 * 100).toFixed(2) + "%";
					document.getElementById("kdate_" + id).innerHTML = data.message.date1.replace(/-/g, ".");
				}
				GetK1ExtractRatio_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetK1ExtractRatio_DayBefore(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetK1ExtractRatio_DayBefore",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k195date_" + id).innerHTML = data.message.K1_95 == 0 ? 0 : parseFloat(data.message.K1_95 * 100).toFixed(2) + "%";
					document.getElementById("k1955date_" + id).innerHTML = data.message.K1_955 == 0 ? 0 : parseFloat(data.message.K1_955 * 100).toFixed(2) + "%";
					document.getElementById("k196date_" + id).innerHTML = data.message.K1_96 == 0 ? 0 : parseFloat(data.message.K1_96 * 100).toFixed(2) + "%";
					document.getElementById("k1965date_" + id).innerHTML = data.message.K1_965 == 0 ? 0 : parseFloat(data.message.K1_965 * 100).toFixed(2) + "%";
					document.getElementById("k197date_" + id).innerHTML = data.message.K1_97 == 0 ? 0 : parseFloat(data.message.K1_97 * 100).toFixed(2) + "%";
					document.getElementById("k1975date_" + id).innerHTML = data.message.K1_975 == 0 ? 0 : parseFloat(data.message.K1_975 * 100).toFixed(2) + "%";
					document.getElementById("k198date_" + id).innerHTML = data.message.K1_98 == 0 ? 0 : parseFloat(data.message.K1_98 * 100).toFixed(2) + "%";
					document.getElementById("k1date_" + id).innerHTML = data.message.date1.replace(/-/g, ".");
				}
				GetQ1ExtractRatio_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetQ1ExtractRatio_DayBefore(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetQ1ExtractRatio_DayBefore",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("q65date_" + id).innerHTML = data.message.Q1_65 == 0 ? 0 : parseFloat(data.message.Q1_65 * 100).toFixed(2) + "%";
					document.getElementById("q70date_" + id).innerHTML = data.message.Q1_70 == 0 ? 0 : parseFloat(data.message.Q1_70 * 100).toFixed(2) + "%";
					document.getElementById("q75date_" + id).innerHTML = data.message.Q1_75 == 0 ? 0 : parseFloat(data.message.Q1_75 * 100).toFixed(2) + "%";
					document.getElementById("q80date_" + id).innerHTML = data.message.Q1_80 == 0 ? 0 : parseFloat(data.message.Q1_80 * 100).toFixed(2) + "%";
					document.getElementById("q85date_" + id).innerHTML = data.message.Q1_85 == 0 ? 0 : parseFloat(data.message.Q1_85 * 100).toFixed(2) + "%";
					document.getElementById("q1date_" + id).innerHTML = data.message.date1.replace(/-/g, ".");
				}
				GetExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetKExtractRatio_Week(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetKExtractRatio_Week",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k95date_" + id).innerHTML = data.message.K_95 == 0 ? 0 : parseFloat(data.message.K_95 * 100).toFixed(2) + "%";
					document.getElementById("k955date_" + id).innerHTML = data.message.K_955 == 0 ? 0 : parseFloat(data.message.K_955 * 100).toFixed(2) + "%";
					document.getElementById("k96date_" + id).innerHTML = data.message.K_96 == 0 ? 0 : parseFloat(data.message.K_96 * 100).toFixed(2) + "%";
					document.getElementById("k965date_" + id).innerHTML = data.message.K_965 == 0 ? 0 : parseFloat(data.message.K_965 * 100).toFixed(2) + "%";
					document.getElementById("k97date_" + id).innerHTML = data.message.K_97 == 0 ? 0 : parseFloat(data.message.K_97 * 100).toFixed(2) + "%";
					document.getElementById("k975date_" + id).innerHTML = data.message.K_975 == 0 ? 0 : parseFloat(data.message.K_975 * 100).toFixed(2) + "%";
					document.getElementById("k98date_" + id).innerHTML = data.message.K_98 == 0 ? 0 : parseFloat(data.message.K_98 * 100).toFixed(2) + "%";
					document.getElementById("kdate_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
				}
				GetK1ExtractRatio_Week(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetK1ExtractRatio_Week(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetK1ExtractRatio_Week",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k195date_" + id).innerHTML = data.message.K1_95 == 0 ? 0 : parseFloat(data.message.K1_95 * 100).toFixed(2) + "%";
					document.getElementById("k1955date_" + id).innerHTML = data.message.K1_955 == 0 ? 0 : parseFloat(data.message.K1_955 * 100).toFixed(2) + "%";
					document.getElementById("k196date_" + id).innerHTML = data.message.K1_96 == 0 ? 0 : parseFloat(data.message.K1_96 * 100).toFixed(2) + "%";
					document.getElementById("k1965date_" + id).innerHTML = data.message.K1_965 == 0 ? 0 : parseFloat(data.message.K1_965 * 100).toFixed(2) + "%";
					document.getElementById("k197date_" + id).innerHTML = data.message.K1_97 == 0 ? 0 : parseFloat(data.message.K1_97 * 100).toFixed(2) + "%";
					document.getElementById("k1975date_" + id).innerHTML = data.message.K1_975 == 0 ? 0 : parseFloat(data.message.K1_975 * 100).toFixed(2) + "%";
					document.getElementById("k198date_" + id).innerHTML = data.message.K1_98 == 0 ? 0 : parseFloat(data.message.K1_98 * 100).toFixed(2) + "%";
					document.getElementById("k1date_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
				}
				GetQ1ExtractRatio_Week(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetQ1ExtractRatio_Week(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetQ1ExtractRatio_Week",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("q65date_" + id).innerHTML = data.message.Q1_65 == 0 ? 0 : parseFloat(data.message.Q1_65 * 100).toFixed(2) + "%";
					document.getElementById("q70date_" + id).innerHTML = data.message.Q1_70 == 0 ? 0 : parseFloat(data.message.Q1_70 * 100).toFixed(2) + "%";
					document.getElementById("q75date_" + id).innerHTML = data.message.Q1_75 == 0 ? 0 : parseFloat(data.message.Q1_75 * 100).toFixed(2) + "%";
					document.getElementById("q80date_" + id).innerHTML = data.message.Q1_80 == 0 ? 0 : parseFloat(data.message.Q1_80 * 100).toFixed(2) + "%";
					document.getElementById("q85date_" + id).innerHTML = data.message.Q1_85 == 0 ? 0 : parseFloat(data.message.Q1_85 * 100).toFixed(2) + "%";
					document.getElementById("q1date_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
				}
				GetExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetKExtractRatio_Month(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetKExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k95date_" + id).innerHTML = data.message.K_95 == 0 ? 0 : parseFloat(data.message.K_95 * 100).toFixed(2) + "%";
					document.getElementById("k955date_" + id).innerHTML = data.message.K_955 == 0 ? 0 : parseFloat(data.message.K_955 * 100).toFixed(2) + "%";
					document.getElementById("k96date_" + id).innerHTML = data.message.K_96 == 0 ? 0 : parseFloat(data.message.K_96 * 100).toFixed(2) + "%";
					document.getElementById("k965date_" + id).innerHTML = data.message.K_965 == 0 ? 0 : parseFloat(data.message.K_965 * 100).toFixed(2) + "%";
					document.getElementById("k97date_" + id).innerHTML = data.message.K_97 == 0 ? 0 : parseFloat(data.message.K_97 * 100).toFixed(2) + "%";
					document.getElementById("k975date_" + id).innerHTML = data.message.K_975 == 0 ? 0 : parseFloat(data.message.K_975 * 100).toFixed(2) + "%";
					document.getElementById("k98date_" + id).innerHTML = data.message.K_98 == 0 ? 0 : parseFloat(data.message.K_98 * 100).toFixed(2) + "%";
					document.getElementById("kdate_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
				}
				GetK1ExtractRatio_Month(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetK1ExtractRatio_Month(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetK1ExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("k195date_" + id).innerHTML = data.message.K1_95 == 0 ? 0 : parseFloat(data.message.K1_95 * 100).toFixed(2) + "%";
					document.getElementById("k1955date_" + id).innerHTML = data.message.K1_955 == 0 ? 0 : parseFloat(data.message.K1_955 * 100).toFixed(2) + "%";
					document.getElementById("k196date_" + id).innerHTML = data.message.K1_96 == 0 ? 0 : parseFloat(data.message.K1_96 * 100).toFixed(2) + "%";
					document.getElementById("k1965date_" + id).innerHTML = data.message.K1_965 == 0 ? 0 : parseFloat(data.message.K1_965 * 100).toFixed(2) + "%";
					document.getElementById("k197date_" + id).innerHTML = data.message.K1_97 == 0 ? 0 : parseFloat(data.message.K1_97 * 100).toFixed(2) + "%";
					document.getElementById("k1975date_" + id).innerHTML = data.message.K1_975 == 0 ? 0 : parseFloat(data.message.K1_975 * 100).toFixed(2) + "%";
					document.getElementById("k198date_" + id).innerHTML = data.message.K1_98 == 0 ? 0 : parseFloat(data.message.K1_98 * 100).toFixed(2) + "%";
					document.getElementById("k1date_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
				}
				GetQ1ExtractRatio_Month(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetQ1ExtractRatio_Month(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetQ1ExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					document.getElementById("q65date_" + id).innerHTML = data.message.Q1_65 == 0 ? 0 : parseFloat(data.message.Q1_65 * 100).toFixed(2) + "%";
					document.getElementById("q70date_" + id).innerHTML = data.message.Q1_70 == 0 ? 0 : parseFloat(data.message.Q1_70 * 100).toFixed(2) + "%";
					document.getElementById("q75date_" + id).innerHTML = data.message.Q1_75 == 0 ? 0 : parseFloat(data.message.Q1_75 * 100).toFixed(2) + "%";
					document.getElementById("q80date_" + id).innerHTML = data.message.Q1_80 == 0 ? 0 : parseFloat(data.message.Q1_80 * 100).toFixed(2) + "%";
					document.getElementById("q85date_" + id).innerHTML = data.message.Q1_85 == 0 ? 0 : parseFloat(data.message.Q1_85 * 100).toFixed(2) + "%";
					document.getElementById("q1date_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
				}
				GetExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetExtract20_DayBefore(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetExtract20_DayBefore"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//			console.log(JSON.stringify(data));
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					Zepto('#ulList_' + id).html("");
					var dvcontent = Zepto('#ulList_' + id);
					if(data.message.length > 0) {
						for(var i = 0; i < data.message.length; i++) {
							var K = data.message[i].K == undefined ? "无" : parseFloat(data.message[i].K) * 100 + "%";
							var K1 = data.message[i].K1 == undefined ? "无" : parseFloat(data.message[i].K1) * 100 + "%";
							var Q1 = data.message[i].Q1 == undefined ? "无" : parseFloat(data.message[i].Q1) * 100 + "%";
							var li = document.createElement('li');

							if(K == "无" && K1 != "无" && Q1 != "无") {
								li.className = "jieguo_ullistli";
								li.innerHTML = '<p><span class="name">项目名称:</span><span class="value">' + data.message[i].ProjectName + '</span></p>' +
									'<p><span class="name">标段编号:</span><span class="value">' + data.message[i].BidNo + '</span></p>' +
									'<p><span class="name">抽取结果:</span><span class="value color_yicz"><label class="blue">K1值:' + K1 + '</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label class="green">Q1值:' + Q1 + '</label></span></p>';
							} else if(K != "无" && K1 == "无" && Q1 == "无") {
								li.className = "jieguo_ullistli";
								li.innerHTML = '<p><span class="name">项目名称:</span><span class="value">' + data.message[i].ProjectName + '</span></p>' +
									'<p><span class="name">标段编号:</span><span class="value">' + data.message[i].BidNo + '</span></p>' +
									'<p><span class="name">抽取结果:</span><span class="value color_yicz"><label class="orange">K值:' + K + '</label></span></p>';
							}
							dvcontent.append(li);
						}
						if(type == 1) {
							document.getElementById("k95date_" + id).innerHTML = data.ratio.K_95 == 0 ? 0 : parseFloat(data.ratio.K_95 * 100).toFixed(2) + "%";
							document.getElementById("k955date_" + id).innerHTML = data.ratio.K_955 == 0 ? 0 : parseFloat(data.ratio.K_955 * 100).toFixed(2) + "%";
							document.getElementById("k96date_" + id).innerHTML = data.ratio.K_96 == 0 ? 0 : parseFloat(data.ratio.K_96 * 100).toFixed(2) + "%";
							document.getElementById("k965date_" + id).innerHTML = data.ratio.K_965 == 0 ? 0 : parseFloat(data.ratio.K_965 * 100).toFixed(2) + "%";
							document.getElementById("k97date_" + id).innerHTML = data.ratio.K_97 == 0 ? 0 : parseFloat(data.ratio.K_97 * 100).toFixed(2) + "%";
							document.getElementById("k975date_" + id).innerHTML = data.ratio.K_975 == 0 ? 0 : parseFloat(data.ratio.K_975 * 100).toFixed(2) + "%";
							document.getElementById("k98date_" + id).innerHTML = data.ratio.K_98 == 0 ? 0 : parseFloat(data.ratio.K_98 * 100).toFixed(2) + "%";
							document.getElementById("k195date_" + id).innerHTML = data.ratio.K1_95 == 0 ? 0 : parseFloat(data.ratio.K1_95 * 100).toFixed(2) + "%";
							document.getElementById("k1955date_" + id).innerHTML = data.ratio.K1_955 == 0 ? 0 : parseFloat(data.ratio.K1_955 * 100).toFixed(2) + "%";
							document.getElementById("k196date_" + id).innerHTML = data.ratio.K1_96 == 0 ? 0 : parseFloat(data.ratio.K1_96 * 100).toFixed(2) + "%";
							document.getElementById("k1965date_" + id).innerHTML = data.ratio.K1_965 == 0 ? 0 : parseFloat(data.ratio.K1_965 * 100).toFixed(2) + "%";
							document.getElementById("k197date_" + id).innerHTML = data.ratio.K1_97 == 0 ? 0 : parseFloat(data.ratio.K1_97 * 100).toFixed(2) + "%";
							document.getElementById("k1975date_" + id).innerHTML = data.ratio.K1_975 == 0 ? 0 : parseFloat(data.ratio.K1_975 * 100).toFixed(2) + "%";
							document.getElementById("k198date_" + id).innerHTML = data.ratio.K1_98 == 0 ? 0 : parseFloat(data.ratio.K1_98 * 100).toFixed(2) + "%";
							document.getElementById("q65date_" + id).innerHTML = data.ratio.Q1_65 == 0 ? 0 : parseFloat(data.ratio.Q1_65 * 100).toFixed(2) + "%";
							document.getElementById("q70date_" + id).innerHTML = data.ratio.Q1_70 == 0 ? 0 : parseFloat(data.ratio.Q1_70 * 100).toFixed(2) + "%";
							document.getElementById("q75date_" + id).innerHTML = data.ratio.Q1_75 == 0 ? 0 : parseFloat(data.ratio.Q1_75 * 100).toFixed(2) + "%";
							document.getElementById("q80date_" + id).innerHTML = data.ratio.Q1_80 == 0 ? 0 : parseFloat(data.ratio.Q1_80 * 100).toFixed(2) + "%";
							document.getElementById("q85date_" + id).innerHTML = data.ratio.Q1_85 == 0 ? 0 : parseFloat(data.ratio.Q1_85 * 100).toFixed(2) + "%";
						}

					} else {
						var li = document.createElement('li');
						li.innerHTML = '<li class="nodata">暂无数据</li>';
						dvcontent.append(li);
					}
				}
				plus.nativeUI.closeWaiting();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: coin,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");

					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}