mui.init();

var isLishi = false;
mui.plusReady(function() {
	if(localStorage["city"] == '无锡') {
		//		document.getElementById("jzjxzfs").style.display = 'none';
	}
	GetBidInfo(plus.webview.currentWebview().UnitGuid);
})

//获取招标信息
function GetBidInfo(UnitGuid) {
	//	getTBList(UnitGuid);
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		Method: 'GetPrjDetail2',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		async: false,
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
//			console.log(JSON.stringify(data));
			if(data.success == true) {
				Zepto("#BidNo").text(data.message.BidNo);
				Zepto("#BidName").text(data.message.BidName);
				Zepto("#ZBR").text(data.message.TendereeName);
				Zepto("#ZBDL").text(data.message.BidAgencyName);
				Zepto("#ZBDW").text(data.message.WinBidCompany);
				Zepto("#ZBJE").text(data.message.WinPrice);
				Zepto("#XMJL").text(data.message.ManageName);
				
				Zepto("#ProjectContent").text(data.message.ProjectContent);
				Zepto("#ProjectTimeRequest").text(data.message.ProjectTimeRequest);
				Zepto("#StructuralType").text(data.message.StructuralType);
				Zepto("#TenderContent").text(data.message.TenderContent);
				Zepto("#RangeDescribe").text(data.message.RangeDescribe);
			} else {
				mui.toast("获取失败!");
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

//获取投标记录
function getTBList(BidGuid) {
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "BidAssistant/Bidding/Bidding_Data.ashx";
	var data = {
		Method: 'BindGrid',
		token: app.getState().token,
		device_id: plus.device.uuid,
		BidGuid: BidGuid
	};
	mui.ajax(url, {
		data: data,
		async: false,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message != 'nodata') {
				isLishi = true;
				document.getElementById('totalnum').innerHTML = '总家数：' + data.RecordTotalNum;
				var li = '';
				for(var i = 0; i < data.message.length; i++) {
					li += '<li><p><span class="spanT">投标单位 :</span>';
					li += '<span class="spanC">' + data.message[i].CompanyName + '</span>';
					li += '</p><p><span class="spanT">投标金额 :</span>';
					li += '<span class="spanC">' + data.message[i].QuotedPrice + '元</span>';
					li += '</p></li>';
				}
				document.getElementById("ulList").innerHTML += li;
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		}
	});
}