mui.init();
mui.plusReady(function() {
	getPosition();
	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
	window.indexedList = new mui.IndexedList(list);
	document.getElementById("span_s").innerText=localStorage["city"] ;
});
//tabel内容多出,显示滚动条
(function($) {
	$('#scroll').scroll({
		indicators: true //是否显示滚动条
	});
})(mui);

function setCity(city, code) {
	if(city == "南京" || city == "无锡") {
		document.getElementById("span_s").innerText = city;
		localStorage["city"] = city;
		localStorage["CityCode"] = code;
		console.log(code);
		
		try {

			var url = config.ServerUrl + "AppService/App_Data.ashx";
			var data = {
				token: app.getState().token,
				device_id: plus.device.uuid,
				Method: "ChangeCity",
				CityCode: code
			};
			console.log("url:"+url);
			mui.ajax(url, {
				data: data,
				dataType: "json",
				type: 'post', //HTTP请求类型
				timeout: 20000, //超时时间设置为10秒；
				success: function(data) {
					console.log(data);
					if(data) {
						if(data.message == 'ok') {
							console.log(data.message);
							mui.fire(plus.webview.getWebviewById('index_sub.html'), 'changeCity', {
								city: city
							});
							if(city == '无锡') {
								mui.fire(plus.webview.getWebviewById('indexPage.html'), 'changeCity', {
									city: city
								});

								mui.fire(plus.webview.getWebviewById('html/CA_blzn/CA_blzn.html'), 'change2wuxi', {
									data: city
								});
							} else {
								mui.fire(plus.webview.getWebviewById("indexPage.html"), "changePage1", {
									city: city
								});
							}
							mui.back();
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					if(type == "timeout") {
						mui.toast("网络繁忙！");
						return;
					}
					console.log("错误代码：" + xhr.status)
					console.log("服务器返回内容：" + xhr.responseText);
					mui.toast("读取失败！");
				}
			});
		} catch(e) {
			console.log(e.message);
		}

	} else {
		mui.toast("暂未开放");
	}
}

//区县折叠
var UL = document.getElementById("UL");
var oChoice = document.getElementById("choice");
oChoice.addEventListener("tap", function() {
	if(UL.style.display == 'none') {
		UL.style.display = 'block';
		this.style.background = 'url(img/icon/up_icon.png) no-repeat 42px center';
		this.style.backgroundSize = '55px 30px';
	} else {
		UL.style.display = 'none';
		this.style.background = 'url(img/icon/down_icon.png) no-repeat 45px center';
		this.style.backgroundSize = '50px 30px';
	}
})

//切换区县
mui('#UL').on("tap", "a", function() {
	var itemList = document.getElementsByName("area");
	for(var i = 0; i < itemList.length; i++) {
		itemList[i].className = '';
	}
	this.className = 'focus';
	//	document.getElementById("span_q").innerText = this.innerText;
})

//选择最近访问城市
mui('#recentCity').on("tap", "span", function() {
	var itemList = document.getElementsByName("ret");
	for(var i = 0; i < itemList.length; i++) {
		itemList[i].style.background = '#FFFFFF';
	}
	this.style.background = '#F2F2F2';
	//	document.getElementById("span_s").innerText = this.innerText;
	var code = this.getAttribute("code");
	console.log(code);
	setCity(this.innerText, code);
	//	document.getElementById("span_q").innerText = "全城";
})

//选择其他城市
mui('.mui-table-view').on("tap", ".mui-indexed-list-item", function() {

	var code = this.getAttribute("code");
	setCity(this.innerText, code);
	//	document.getElementById("span_q").innerText = "全城";
})

//获取当前位置
function getPosition() {
	plus.geolocation.getCurrentPosition(function(position) {
//		document.getElementById("span_s").innerText = position.address.city.replace('市', '');
		document.getElementById("curCity").innerText = position.address.city.replace('市', '');
	}, function(position) {
		mui.toast("定位信息获取失败");
	}, {
		provider: 'baidu',
		enableHighAccuracy: true
	});
}