mui.init({
	swipeBack: false
});

mui.plusReady(function() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var self = plus.webview.currentWebview();
	var UnitGuid = self.UnitGuid;

	Zepto("#Title").text(self.QuestionName);

	var data = {
		Method: 'GetLawDetailList',
		token: app.getState().token,
		device_id: plus.device.uuid,
		QuestionGuid: UnitGuid

	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {

			var dvcontent = Zepto('#content');
			var htmlstr = "";

			if(response.message != null && response.message != "nodata") {
				for(var i = 0; i < response.message.length; i++) {
					var publishdate = new Date(response.message[i].PublishDate).Format('yyyy-MM-dd');

					htmlstr += "<ul class='ulList'>" +
						"<li>" +
						"<span class='title' id='lawname'>" + response.message[i].LawName + "</span>" +
						"</li>" +
						"<li>" +
						"<span class='spanTitle'>文号 :</span>" +
						"<span class='spanTxt' id='wenHao'>" + response.message[i].LawNo + "</span>" +
						"</li>" +
						"<li>" +
						"<span class='spanTitle'>发布时间 :</span>" +
						"<span class='spanTxt' id='addDate'>" + publishdate + "</span>" +
						"</li>" +
						"<li>" +
						"<span class='spanTitle'>条款号 :</span>" +
						"<span class='spanTxt' id='wenHao'>" + response.message[i].ClauseNo + "</span>" +
						"</li>" +
						"<li class='tiaokuan' id='tiaoKuan'>" + response.message[i].ClauseContent + "</li>" +
						"</ul>" +
						"<div class='geDuan'></div>";

				}
				dvcontent.append(htmlstr);
			} else {
				Zepto("#content").html("<div class='dvnodata'>暂无数据</div>");
			}

		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});

})