mui.init();

mui.plusReady(function() {
	getContactUS();
	getVideoURL();

	//	document.getElementById("wangzi").addEventListener('tap',function(){
	//		 
	//		plus.runtime.openURL("http://yun.haopan.net");
	//	 
	//	})
})

function getContactUS() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "ContactUS"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
//			console.log(JSON.stringify(data));
			if(data.success == true) {
//				console.log(data.message);
				if(data.message) {
					document.getElementById("fwContent").innerText = data.message.msg;
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			//			mui.toast("版本获取失败");
			console.log("getContactUS,错误代码：" + xhr.status)
			console.log("getContactUS,服务器返回内容：" + xhr.responseText);
		}
	});
}

function getVideoURL() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "GetVideoUrl"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {

			var info = JSON.parse(data);
			if(info == null)
				return;

			if(info.videoPath == "nourl") {
				document.getElementById("shiPinZhanShi").innerHTML = "<div class='noVideo'>暂无视频</div>";
				Zepto(".isshow").hide();
			} else {
				var videoURL = config.ServerUrl + info.videoPath;

				document.getElementById("shiPinZhanShi").innerHTML = "<video src=\"" + videoURL + "\" width=\"100%\" height=\"200\">您的浏览器不支持此种视频格式</video> ";
				Zepto(".isshow").show();
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			//			mui.toast("");
			console.log("getVideoURL,错误代码：" + xhr.status)
			console.log("getVideoURL,服务器返回内容：" + xhr.responseText);
		}
	});
}