mui.init();
var status = 0;
var iosP = '';
var andP = '';
mui.plusReady(function() {
	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		var data = {
			token: app.getState().token,
			device_id: plus.device.uuid,
			currentVersion: inf.version,
			method: "updateApp"
		};
		$("#currentVersion").text(inf.version);
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				//console.log(JSON.stringify(data));
				var info = JSON.parse(data);
				if(info.Status == "1" || info.Status == "2") {
					if(info.Status == "1")
						status = 1;
					else {
						status = 2;
						iosP = info.iospath;
						andP = info.androidpath;
					}

					if(info.wgtPath != "noneed" && info.wgtPath != "nowgt") {
						$("#newVersion").text(info.newVer);
						$("#newdesc").html(info.strNewFunctionDes);
						if(mui.os.android) {
							var content = '';
							if(status == 1)
								content = '新版本更新包大小为' + info.wgtSize + '，建议在wifi环境下更新，请确认是否更新';
							else
								content = '最新版本：' + info.newVer + '\n更新内容：\n' + info.strNewFunctionDes2;
							AddUpdateBtn(info.wgtPath, info.wgtSize,content);
						}
					} else if(info.wgtPath == "noneed") {
						$("#newVersion").text($("#currentVersion").text());
					}
				} else {
					$("#newVersion").text("获取失败");
				}
			},
			error: function(xhr, type, errorThrown) {
				writelog(errorThrown, xhr.responseText);
			}
		});
	});
	// 下载wgt文件 
	function downWgt(wgtpath) {
		wgtUrl = config.ServerUrl + "AppService/" + wgtpath;
		$("#liupdate").html("<span>正在下载更新文件……</span>");
		plus.downloader.createDownload(wgtUrl, {}, function(d, status) {
			if(status == 200) {
				installWgt(d.filename); // 安装wgt包
			} else {
				$("#liupdate").html("<span>下载失败</span>");
			}
		}).start();
	}
	// 更新应用资源
	function installWgt(path) {
		$("#liupdate").html("<span>安装更新文件……</span>");
		plus.runtime.install(path, {}, function() {
			plus.nativeUI.closeWaiting();
			mui.toast("应用资源更新完成");
			plus.runtime.restart();
		}, function(e) {
			alert(e.message);
			$("#liupdate").html("<span>安装失败</span>");
		});
	}
	//添加更新按钮
	function AddUpdateBtn(wgtpath, wgtSize,content) {
		$("#libtngx").html("<a class='gengxin' id='btnupdate'>更新</a>");
		var updateButton = document.getElementById("btnupdate");
		updateButton.addEventListener("tap", function() {
			var btnArray = ['更新', '不更新'];
			mui.confirm(content, '提示', btnArray, function(e) {
				if(e.index == 0) {
					if(status == 1)
						downWgt(wgtpath); // 下载升级包
					else {
						if(mui.os.android) {
							plus.runtime.openURL(andP);
						} else if(mui.os.ios) {
							plus.runtime.openURL(iosP, {}, {});
						}
					}
				}
			});
		});
	}
});