//启用双击监听
mui.init({
	swipeBack: false,
	gestureConfig: {
		doubletap: true
	},
	subpages: [{
		url: 'chongZhiPage.html',
		id: 'chongZhiPage.html',
		styles: {
			top: '315px',
			bottom: '0px'
		}
	}, {
		url: 'xiaoFeiPage.html',
		id: 'xiaoFeiPage.html',
		styles: {
			top: '315px',
			bottom: '0px'
		}
	}, {
		url: 'zhuanZengPage.html',
		id: 'zhuanZengPage.html',
		styles: {
			top: '315px',
			bottom: '0px'
		}
	}]
});
var subpages = ['chongZhiPage.html', 'xiaoFeiPage.html', 'zhuanZengPage.html'];
var subPageStyle = {
	top: '315px',
	bottom: '0px'
};
var aniShow = {};
mui.plusReady(function() {
	getImgPath();
	GetInfo();
	getTotalCoinInfo();
	GetCoinSignInfo();
	document.getElementById('QD').addEventListener('tap', function() {
		TodaySign();
	})
	window.addEventListener('RepairImage', function(event) {
		//获得事件参数
		var e_tag = event.detail.tag;
		upload(e_tag['data']['target']);
	});
	document.getElementById("zhuanzeng").addEventListener('tap', function() {

		plus.webview.open("zhuanZeng.html", "zhuanZeng.html", "", "slide-in-left", "10");
	})
	document.getElementById("chongzhi").addEventListener('tap', function() {

		plus.webview.open("../gouMaiJinBi/gouMaiJinBi.html", "gouMaiJinBi.html", "", "slide-in-left", "10");
	})

	document.getElementById("picture-btn").addEventListener('tap', function() {
		var btnArray = [{
			title: "拍照"
		}, {
			title: "从相册选择"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			switch(e.index) {
				case 0:
					//text += "取消";
					break;
				case 1:
					//text += "拍照";
					appendByCamera();

					break;
				case 2:
					//text += "从相册选择";
					appendByGallery();
					break;
			}
		});
	});

	setTimeout(function() {
		plus.webview.hide(subpages[1]);
		plus.webview.hide(subpages[2]);
	}, 500);
	var contentWebview = null;
	document.querySelector('header').addEventListener('doubletap', function() {
		if(contentWebview == null) {
			contentWebview = plus.webview.currentWebview().children()[0];
		}
		contentWebview.evalJS("mui('#pullrefresh').pullRefresh().scrollTo(0,0,100)");
	});
})

function TodaySign() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinSign"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
 

				if(data.message.length > 0) {
					mui.toast("签到成功！");
					localStorage["IfQD"] = "true";
					localStorage["SignDay"] = data.message[0].SignDayNum;
					document.getElementById("QDTS").innerText = data.message[0].SignDayNum;
					document.getElementById('QD').style.display = "none";
					document.getElementById('YQD').style.display = "inline";
					getTotalCoinInfo();
				}
			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function getTotalCoinInfo() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetGoldCoin"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
 
				if(data.message.length > 0) {
					localStorage["coinnum"] = data.message[0].GoldCoin;
					document.getElementById("coinnum").innerText = toThousands(localStorage["coinnum"]);
				}
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetCoinSignInfo() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetGoldCoinSignInfo"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			try {
 
				if(data == null)
					return;
				var dd = new Date();
				dd.setDate(dd.getDate() - 1);
				var month = (parseInt(new Date().getMonth()) + 1) < 10 ? '0' + (parseInt(new Date().getMonth()) + 1) : (parseInt(new Date().getMonth()) + 1);
				var day = new Date().getDate() < 10 ? '0' + new Date().getDate() : new Date().getDate();
				var yesterdaymonth = (parseInt(dd.getMonth()) + 1) < 10 ? '0' + (parseInt(dd.getMonth()) + 1) : (parseInt(dd.getMonth()) + 1);
				var yesterdayday = dd.getDate() < 10 ? '0' + dd.getDate() : dd.getDate();
				var today = new Date().getFullYear() + '-' + month + '-' + day;
				var yesterday = dd.getFullYear() + '-' + yesterdaymonth + '-' + yesterdayday;
				var todaywincoin = 10;
				var signday = 0;
				if(data.message.length > 0) {
					if(today == data.message[0].AddDate) {
						document.getElementById("QDTS").innerText = data.message[0].SignDayNum;
						//今日已签到
						document.getElementById('QD').style.display = "none";
						document.getElementById('YQD').style.display = "inline";
					} else {
						if(yesterday == data.message[0].AddDate) {
							document.getElementById("QDTS").innerText = data.message[0].SignDayNum;
							signday = data.message[0].SignDayNum
								//连续签到
							if(data.message[0].GoldCoin >= 50) {
								todaywincoin = 50;
							} else {
								todaywincoin = data.message[0].GoldCoin + 5;
							}
						} else
							document.getElementById("QDTS").innerText = 0;
						document.getElementById('QD').style.display = "inline";
						document.getElementById('YQD').style.display = "none";
						document.getElementById("WinCoin").innerText = todaywincoin;
					}

				} else {
					document.getElementById("QDTS").innerText = 0;
					document.getElementById('QD').style.display = "inline";
					document.getElementById('YQD').style.display = "none";
					document.getElementById("WinCoin").innerText = todaywincoin;
				}
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetInfo() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "getMyInfo"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
 
				if(data.message.length > 0) {
					localStorage["dname"] = data.message[0].DName;
					localStorage["username"] = data.message[0].UName;
					localStorage["usertel"] = data.message[0].Mobile;
					 

					document.getElementById("username").innerHTML = data.message[0].UName;
					document.getElementById("usertel").innerText = "手机号码：" + data.message[0].Mobile;

					if(data.message[0].RegisterTime == undefined || data.message[0].RegisterTime == '')
						document.getElementById("zcsj").innerText = '2016-12-01';
					else
						document.getElementById("zcsj").innerText = data.message[0].RegisterTime.substr(0, 10);
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}
mui('#segmentedControl').on('tap', 'a', function() {
	var id = this.getAttribute('id');
	for(var i = 0; i < 3; i++) {
		document.getElementById(i).classList.remove('active');
	}
	this.classList.add('active');
	//如果不存在则创建，否则直接显示
	if(!plus.webview.getWebviewById(subpages[id])) {
		plus.webview.create(subpages[id], subpages[id], subPageStyle);
	}
	//若为iOS平台或非首次显示，则直接显示
	if(mui.os.ios || aniShow[subpages[id]]) {
		plus.webview.show(subpages[id]);
	} else {
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[subpages[id]] = "true";
		mui.extend(aniShow, temp);
		plus.webview.show(subpages[id], "fade-in", 300);
	}
	//隐藏当前;
	for(var i = 0; i < 3; i++) {
		if(i != id)
			plus.webview.hide(subpages[i]);
	}
})

// 拍照添加文件
function appendByCamera() {
	MyApp.operateImage.camera_img(0); //拍照
}
// 从相册添加文件
function appendByGallery() {
	MyApp.operateImage.gallery_img(0); //相册
}

function upload(p) {

	var server = config.ServerUrl + "AppService/App_Data.ashx?Method=Savepic";

	var wt = plus.nativeUI.showWaiting();
	var task = plus.uploader.createUpload(server, {
			method: "POST"
		},
		function(t, status) { //上传完成
			if(status == 200) {

				getImgPath();
//				mui.fire(plus.webview.getWebviewById("index.html"), "refreshimg", {});
				wt.close();
			} else {

				//outLine("上传失败："+status);
				wt.close();
			}
		}
	);
	var filename = p.substr(p.lastIndexOf('/') + 1);
	var token = app.getState().token;
	var device_id = plus.device.uuid;
	task.addData("filename", filename);
	task.addData("token", token);
	task.addData("device_id", device_id);
	task.addFile(p, {
		key: "peoplepic"
	});
	task.start();

}

//获取照片
function getImgPath() {
	localStorage["imgPath"] = "";

	var filepath = config.HostUrl + app.getUser().TenantID + '/' + app.getUser().UserGuid + '.jpg';

	localStorage["imgPath"] = filepath;
	getImg();
}

function getImg() {
	var imgInfo = document.getElementById("touxiang");
	if(imgInfo != null) {
		imgInfo.src = localStorage["imgPath"] + "?datetime=" + new Date().toLocaleString();
	}
}

//下载附件
function Download(url) {
	var dtask = plus.downloader.createDownload(url, {}, function(d, status) {
		// 下载完成
		if(status == 200) {
			//调用第三方应用打开附件
			plus.runtime.openFile(d.filename, {}, function() {})
			mui.toast("下载成功，请选择应用打开");
		} else {
			mui.toast("下载失败");
		}
	});
	dtask.start();
}

mui.back = function(event) {
	plus.webview.currentWebview().close();
};

window.addEventListener('refreshcoin', function() {
	document.getElementById("coinnum").innerText = toThousands(localStorage["coinnum"]);
});