mui.init();
mui.plusReady(function() {
	document.getElementById("btnPresent").addEventListener('tap', function() {
		SelectSRR();
	});
	document.getElementById("EnSureZhunZeng").addEventListener('tap',function(){
		presentGold();
	})
});

function SelectSRR() {
	if(Zepto("#ToPersonMobile").val()==undefined ||Zepto("#GoldCoin").val()==undefined) {
		mui.toast("请输入受让人手机号码和转赠额！");
		return;
	}
 
	if(parseInt(localStorage["coinnum"])<parseInt(Zepto("#GoldCoin").val().trim())){
		mui.toast("当前火币额不足！");
		return;
	}
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetUserByTel",
		Mobile: Zepto("#ToPersonMobile").val().trim()
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
 
				if(data!=null&&data.message[0]!=undefined) {
				 
                  Zepto("#dvPresent").hide();
                  Zepto("#InfoEnSure").show();
                  Zepto("#ZH").show();
                  Zepto("#SRRName").text(data.message[0].UName);
                  Zepto("#ToPersonID").val(data.message[0].UGuid);
                  Zepto("#ToPersonName").val(data.message[0].UName);
//                Zepto("#EnSureZhunZeng").addEventListener('tap',function(){
//                	presentGold();
//                });
                  document.getElementById("Fn").addEventListener("tap",function(){
			      Zepto("#dvPresent").show();
                  Zepto("#InfoEnSure").hide();
                  Zepto("#ZH").hide();
				
			          });
				} else {
					mui.toast("受让人不存在,请查看手机号码是否正确！");
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function presentGold() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinPresent",
		GoldCoin: Zepto("#GoldCoin").val(),
		ToPersonID:Zepto("#ToPersonID").val(),
		ToPersonName:Zepto("#ToPersonName").val(),
		ToPersonMobile:Zepto("#ToPersonMobile").val()
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
 
				if(data.message.length > 0) {

					localStorage["coinnum"] = data.message[0].GoldCoin;
					mui.toast("转赠成功！");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
					plus.webview.currentWebview().close();
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

//window.addEventListener('refreshcoin', function() {
//	
//	 document.getElementById("GoldCoin").innerText=localStorage["coinnum"];
//});