mui.init();
var coin = 0;
mui.plusReady(function() {
	mui.previewImage();
	getInfoDetail();
})

//获取信息详情
function getInfoDetail() {
	var url = config.ServerUrl + 'BidAssistant/Notice/Notice_Data.ashx';
	var data = {
		Method: 'BindGrid',
		token: app.getState().token,
		device_id: plus.device.uuid,
		IsApp: '1',
		UnitGuid: plus.webview.currentWebview().UnitID
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.success == true && data.message.length > 0) {
//				mui.fire(plus.webview.getWebviewById("gongGao_sub.html"), "refreshVisit", {});
				document.getElementById("title").innerText = data.message[0].Title;
//				document.getElementById("fbr").innerText = data.message[0].UName;
				document.getElementById("fbrq").innerText = "发布时间："+data.message[0].AddDate;
				document.getElementById("content").innerHTML = data.message[0].Content;
			 
				 var ewebeditorimgs = Zepto("#content").find("img");
				  var numindex=config.ServerUrl.indexOf('/',config.ServerUrl.indexOf('/')+2);
			     
			     var ServerUrl=config.ServerUrl.substring(0,numindex)+"/";
			     
						for (var i = 0; i < ewebeditorimgs.length; i++) {
							var imgpath = ewebeditorimgs[i].src;
							 
							if (imgpath.indexOf('file')>=0) {
								imgpath = imgpath.substr(8);
								var urlpath= config.ServerUrl
								imgpath = ServerUrl + imgpath; 								 
								ewebeditorimgs[i].src = imgpath;
							    Zepto(ewebeditorimgs[i]).attr("data-preview-src","");
								Zepto(ewebeditorimgs[i]).attr("data-preview-group","1");
							}
							 
						}
				
				if(data.message[0].GoldCoin > 0) {
					coin = data.message[0].GoldCoin;
					isReceived();
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络错误');
			console.log(errorThrown);
		}
	});
}

//判断是否已领取
function isReceived() {
	var url = config.ServerUrl + 'BidAssistant/Notice/NoticeGold_Data.ashx';
	var data = {
		Method: 'IsGetNoticeGold',
		token: app.getState().token,
		device_id: plus.device.uuid,
		NoticeGuid: plus.webview.currentWebview().UnitID
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message == 'no' && window.localStorage["isFree"] != 'true')
				document.getElementById("lq").style.display = 'block';
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络错误');
			console.log(errorThrown);
		}
	});
}

//领取火币
document.getElementById("lq").addEventListener('tap', function() {
	var url = config.ServerUrl + 'BidAssistant/Notice/NoticeGold_Data.ashx';
	var data = {
		Method: 'SaveNoticeGold',
		token: app.getState().token,
		device_id: plus.device.uuid,
		NoticeGuid: plus.webview.currentWebview().UnitID,
		GoldCoin: coin
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message != 'no') {
				mui.toast('成功领取'+coin+'枚火币');
				document.getElementById("lq").style.display = 'none';
				localStorage["coinnum"] = data.message;
                mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
			} else
				mui.toast('领取失败，请稍候再试');
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络错误,领取失败,请稍候再试');
			console.log(errorThrown);
		}
	});
})