mui.init();
mui.plusReady(function() {

	var GoldCoinName = "开通VIP会员";
	document.getElementById("UName").innerText = localStorage["username"];
	GetInfo();
	document.getElementById('KaiTong').addEventListener('tap', function() {
		var li = Zepto("#VIPList li.active");
		var money = li.attr("data-price");
		var Guid = li.attr("data-Guid");
		var type = li.attr("data-type");
		var area = li.attr("data-area");
		GoldCoinName = type + area + "VIP会员";
		console.log(Guid);
		//		var money = document.getElementById("VipCost").value.trim();
		if(money == '' || Zepto("#VIPList li.active").length == 0) {
			//			mui.toast('请填写金额');
			mui.toast('请选择充值的VIP功能');
			return;
		}
		var data = {
			MoneyValue: money,
			GoldCoin: 0,
			GoldCoinName: GoldCoinName,
			ServiceGuid: Guid
		};
		mui.openWindow({
			url: "chongZhi.html",
			id: "chongZhi.html",
			show: {
				autoShow: true,
				aniShow: 'pop-in'
			},
			waiting: {
				autoShow: true,
				title: "正在加载..."
			},
			extras: data
		});

	});
	mui('#VIPList').on('tap', 'li', function() {
		var lis = document.getElementById("VIPList").getElementsByTagName("li");
		Zepto("#VIPList li").removeClass("active");
		//		lis.classList.remove("active");
		this.classList.add("active");

	})
})

function GetInfo() {
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "getMyInfo"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.message.length > 0) {
					document.getElementById("LoginName").innerText = data.message[0].LoginName == undefined ? "" : data.message[0].LoginName;
					GetVipList();
				}
			} catch(e) {
				console.log(e.message);
				plus.nativeUI.closeWaiting();
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}

function GetVipList() {
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "GetVIPList"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			console.log("data:" + JSON.stringify(data));
			try {
				if(data) {
					if(data.message.length > 0) {
						//					document.getElementById("LoginName").innerText = data.message[0].LoginName == undefined ? "" : data.message[0].LoginName;
						var ul = document.getElementById("VIPList");
						var listr = "";
						mui(data.message).each(function() {
							//							console.log("ServiceGuid:" + this.ServiceGuid);
							var type = "";
							switch(this.ServiceType) {
								case "10":
									type = "企业库";
									break;
								case "20":
									type = "项目库";
									break;
								case "30":
									type = "预测数据";
									break;
							}
							var area = this.AreaCode == "all" ? "" : this.AreaName;

							listr += "<li class=\"mui-table-view-cell\" data-price='" + this.Price + "' data-Guid='" + this.ServiceGuid + "' data-type='" + type + "' data-area='" + area + "'>";

							listr += "" + area + type + "VIP" + this.ServiceMonths + "个月" + this.Price + "元";
							if(this.GiveMonths > 0) {
								listr += ",赠送VIP" + this.GiveMonths + "个月";
							}
							listr += "</li>";

						})
						//						console.log(listr);
						ul.innerHTML = listr;
					}
				}
				plus.nativeUI.closeWaiting();
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}