var page = 0;
var size = 10;
var hasMore = true;
var coin = '',
	startdate = '',
	enddate = '';
var isFree = false;
var minvalue = '',
	maxvalue = '',
	begindate = '',
	enddate = '';
var isVIP = "false";

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

mui.plusReady(function() {
	getAllModuleParam();
})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {

	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);

}

/**
 * 上拉加载具体业务实现
 */
function loadMore() {

	if(hasMore) {

		page++;
		makeHtml(page, size, false);
	} else {

		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}

}

function GetListByBid() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	begindate = plus.webview.currentWebview().opener().begindate;
	enddate = plus.webview.currentWebview().opener().enddate;
	minvalue = plus.webview.currentWebview().opener().minvalue;
	maxvalue = plus.webview.currentWebview().opener().maxvalue;
	var Property = plus.webview.currentWebview().opener().Property;
	var ProjectType = plus.webview.currentWebview().opener().type;
	var zc = plus.webview.currentWebview().opener().zc;
	var zcType = plus.webview.currentWebview().opener().zcType;
	var zczy = plus.webview.currentWebview().opener().zczy;
	//console.log(page);
	var ProjectManagerName = "";
	if(Zepto("#search").val() != undefined && Zepto("#search").val() != "") {
		ProjectManagerName = Zepto("#search").val();
	}
	var data = {
		Method: 'GetProjectManagerListByBid',
		begindate: begindate,
		enddate: enddate,
		minvalue: minvalue,
		maxvalue: maxvalue,
		ProjectManagerName: ProjectManagerName,
		PageIndex: page,
		PageSize: size,
		ProjectType: ProjectType,
		Property: Property,
		zc: zc,
		zcType: zcType,
		zczy: zczy
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			mui.fire(plus.webview.currentWebview().opener(), 'GetTotalNum', {
				totalnum: response.RecordTotalNum
			});
			var dvcontent = Zepto('#content');
			//			console.log(JSON.stringify(response.message));
			for(var i = 0; i < response.message.length; i++) {
				var li = document.createElement('li');
				li.id = response.message[i].CompanyGuid;
				li.qymc = response.message[i].CompanyName;
				li.name = response.message[i].ProjectManagerName;
				li.Guid = response.message[i].UnitGuid;
				li.className = 'mui-table-view-cell';
				li.innerHTML = '<a class="mui-navigate-right">' +
					'<span class="spanName">' + response.message[i].ProjectManagerName + '</span>' +
					'<span class="comName">' + response.message[i].CompanyName + '</span>' +
					'</a>';

				li.addEventListener('tap', function() {
					document.getElementById("UnitGuid").value = this.id;
					document.getElementById("PName").value = this.name;
					document.getElementById("Guid").value = this.Guid;
					var CompanyName = this.qymc;
					console.log("qymc:" + CompanyName);
					if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true" || isFree) {
						mui.openWindow({
							url: 'jianZaoShiXiangQing_main.html',
							id: 'jianZaoShiXiangQing_main.html',
							extras: {
								UnitGuid: document.getElementById("UnitGuid").value,
								PName: document.getElementById("PName").value,
								PGuid: document.getElementById("Guid").value,
								CompanyName: CompanyName,
								begindate: begindate,
								enddate: enddate,
								minvalue: minvalue,
								maxvalue: maxvalue
							}
						});
						return;
					}
					if(parseInt(localStorage["coinnum"]) - coin <= 0) {
						mui.toast("火币余额不足，请充值");
						mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
						return;
					}
					var bts = ["确定", "取消"];
					plus.nativeUI.confirm("查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
						if(bts[e.index] == "确定") {
							GoldCoinConsumer("按中标条件查询建造师业绩");
							mui.openWindow({
								url: 'jianZaoShiXiangQing_main.html',
								id: 'jianZaoShiXiangQing_main.html',
								extras: {
									UnitGuid: document.getElementById("UnitGuid").value,
									PName: document.getElementById("PName").value,
									PGuid: document.getElementById("Guid").value,
									CompanyName: CompanyName,
									begindate: begindate,
									enddate: enddate,
									minvalue: minvalue,
									maxvalue: maxvalue
								}
							});

						}
					}, "提示", bts);

				});
				dvcontent.append(li);
			}
			//			}

			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(page) * Number(size);

			if(nownum >= totalnum) {
				Zepto("#showMore").hide();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});
}

//加载数据
function makeHtml(page, size, ifcleardata) {
	if(ifcleardata) {
		Zepto('#content').html("");
	}
	GetListByBid();

}

//获取当前模块费用配置信息
function getAllModuleParam() {
	plus.nativeUI.showWaiting();
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '建造师查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					isVIP = eval(data.message.isVIP);
				}
				//				console.log("data:" + data.message.isVIP + ",local" + isVIP);
			}

			if(coin == '') coin = 10;
			var nowdate = new Date(new Date().getFullYear() + '-' + formattime(new Date().getMonth() + 1) + '-' + formattime(new Date().getDate()));
			var condition = '1==1';
			if(startdate != '') {
				condition += '&&startdate<=nowdate';
				startdate = new Date(startdate);
			}
			if(enddate != '') {
				condition += '&&nowdate<=enddate';
				enddate = new Date(enddate);
			}
			if((condition != '1==1' && eval(condition)) || coin == 0) {
				isFree = true;
			}
			plus.nativeUI.closeWaiting();
			//			}
			//			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function formattime(value) {
	return value < 10 ? ('0' + value) : value;
}

if(mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

function SelectJZS() {
	pulldownRefresh();
}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: coin,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}