var page = 0;
var size = 10;
var hasMore = true;
var Property = '场内';

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			contentdown: '',
			callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});
var begindate = '',
	enddate = '',
	minvalue = '',
	maxvalue = '';
var PGuid = "",
	CompanyName = "";
mui.plusReady(function() {
	if(plus.webview.currentWebview().parent().begindate != undefined) {
		begindate = plus.webview.currentWebview().parent().begindate;
		enddate = plus.webview.currentWebview().parent().enddate;
		minvalue = plus.webview.currentWebview().parent().minvalue;
		maxvalue = plus.webview.currentWebview().parent().maxvalue;
	}
	CompanyName = plus.webview.currentWebview().parent().CompanyName;
	document.getElementById("span_dw").innerText = CompanyName;
	PGuid = plus.webview.currentWebview().parent().PGuid;
	console.log("PGuid:" + PGuid)
	document.getElementById("baxx").addEventListener("tap", function(e) {

		try {
			var url = encodeURI(Zepto("#baxx").attr("url"));
			if(url.indexOf("http://") != 0) {
				url = "http://" + url;
			}
			//			console.log("url:" + url);
			plus.runtime.openURL(url, function(error) {
				mui.toast("打开失败");
				console.log("打开失败:" + error)
			})
		} catch(e) {
			console.log(e.message);
		}

	})
	loadJZS();
})

function loadJZS() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		Method: 'GetProjectManagerListByUnitGuid',
		PGuid: PGuid,
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			//			console.log(JSON.stringify(response));
			if(response.message != "false") {
				document.getElementById("span_zc").innerText = response.message.ZC;
				document.getElementById("span_yxq").innerText = response.message.SafeYouXiaoQi;
				if(response.message.Url != "") {
					document.getElementById("baxx").url = response.message.Url;
				} else {
					document.getElementById("baxx").style.display = "none";
				}
				if(response.message.message.length > 0) {
					var str = "";
					Zepto(response.message.message).each(function() {
						var zsyxq = "";
						if(this.ZSYouXiaoQi == undefined) {
							zsyxq = "[有效期：]";
						} else {
							zsyxq = "[有效期：" + this.ZSYouXiaoQi + "]";
						}
						str += '<span class="spanTitle3">' + this.ZhengShuName + '</span><span class="spantxt3">' + this.ZhuCeZhuanYe + zsyxq + '</span>';
					})
					document.getElementById("jzsxxList").innerHTML = str;
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	Zepto("#showMore").hide();
	hasMore = true;
	page = 1;
	makeHtml(page, size, true);
}

document.getElementById("btn1").addEventListener('tap', function() {
	Property = '场内';
	makeHtml(1, 15, true);
})
document.getElementById("btn2").addEventListener('tap', function() {
	Property = '自行';
	makeHtml(1, 15, true);
})

/**
 * 上拉加载具体业务实现
 */
function loadMore() {
	if(hasMore) {
		page++;
		makeHtml(page, size, false);
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}

//加载数据
function makeHtml(page, size, ifcleardata) {

	if(ifcleardata) {
		Zepto('#content').html("");
	}
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var UnitGuid = localStorage["PMNameSelect"];
	var data = {
		Method: 'GetPrjByUnitGuid',
		CompanyGuid: UnitGuid,
		ProjectManagerName: plus.webview.currentWebview().parent().PName,
		PageIndex: page,
		PageSize: size,
		Property: Property,
		begindate: begindate,
		enddate: enddate,
		minvalue: minvalue,
		maxvalue: maxvalue
	};
	//	console.log("url:" + url);
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			//			console.log(JSON.stringify(response));
			//			alert(JSON.stringify(response));
			try {

				var dvcontent = Zepto('#content');
//				console.log(response.message.length);
				for(var i = 0; i < response.message.length; i++) {
					var datejson = new Date(response.message[i].WinBidDate).Format('yyyy-MM-dd');
					var WinBidDate = datejson.replace('T', ' ');
					var li = document.createElement('li');
					li.id = response.message[i].UnitGuid;
					var html = '';
					html += '<span class="liName">' + response.message[i].ProjectName + '</span>';
					if(Property == '场内') {
						html += '<span class="ProjectManager">工程状态：' + (response.message[i].ProjectStatus == undefined ? '' : response.message[i].ProjectStatus) + '</span>';
					}
					html += '<span class="liMoney">中标金额：' + response.message[i].BidMoney + '万元</span>' +
						'<span class="liTime">中标时间：' + WinBidDate + '</span>';
					li.innerHTML = html;
					dvcontent.append(li);
				}
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				mui('#pullrefresh').pullRefresh().refresh(true);
				var totalnum = Number(response.RecordTotalNum);
				var nownum = Number(page) * Number(size);
				if(nownum >= totalnum) {
					Zepto("#showMore").hide();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					hasMore = false;
				} else {
					Zepto("#showMore").show();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
				}
			} catch(e) {
				console.log(e.message);
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

if(mui.os.plus) {
	mui.plusReady(function() {

		setTimeout(function() {

			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1);

	});
} else {
	mui.ready(function() {

		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}