mui.init();

var isLishi = false;
mui.plusReady(function() {
	if(localStorage["city"] == '无锡'){
		document.getElementById("jzjxzfs").style.display = 'none';
	}
	GetBidInfo(plus.webview.currentWebview().UnitGuid);
})

//获取招标信息
function GetBidInfo(UnitGuid) {
	getTBList(UnitGuid);
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		Method: 'GetPrjDetail',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		async:false, 
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.success == true) {
				Zepto("#BidNo").text(data.message[0].BidNo);
				Zepto("#BidName").text(data.message[0].BidName);
				Zepto("#ZBR").text(data.message[0].TendereeName);
				Zepto("#ZBDL").text(data.message[0].BidAgencyName);
				Zepto("#PSType").text(data.message[0].BasePrice);
				Zepto("#AvgCount").text(data.message[0].BasePriceCalculate);
				Zepto("#PBJZJ").text(data.message[0].BidPrice==undefined?'':(data.message[0].BidPrice+ "元"));
				Zepto("#A").text(data.message[0].A || "");
				Zepto("#JZJXFL").text(data.message[0].BidPriceLowRate==undefined?"":data.message[0].BidPriceLowRate);
				var BasePriceCalculate = data.message[0].BasePriceCalculate;
				if(BasePriceCalculate == undefined || BasePriceCalculate == "") {
					Zepto("#status").show();
				} else if(BasePriceCalculate == "方法一") {
					Zepto("#liK").show();
					Zepto("#liK2").show();
					Zepto("#K").text(data.message[0].K == undefined ? 0 : parseFloat(data.message[0].K * 100).toFixed(2) + "%");
					Zepto("#K2").text(data.message[0].K2 == undefined ? 0 : parseFloat(data.message[0].K2 * 100).toFixed(2) + "%");
				} else if(BasePriceCalculate == "方法二") {
					Zepto("#liK1").show();
					Zepto("#liK2").show();
					Zepto("#liQ1").show();
					Zepto("#liQ2").show();
					Zepto("#K1").text(data.message[0].K1 == undefined ? 0 : parseFloat(data.message[0].K1 * 100).toFixed(2) + "%");
					Zepto("#K2").text(data.message[0].K2 == undefined ? 0 : parseFloat(data.message[0].K2 * 100).toFixed(2) + "%");
					Zepto("#Q1").text(data.message[0].Q1 == undefined ? 0 : parseFloat(data.message[0].Q1 * 100).toFixed(2) + "%");
					Zepto("#Q2").text(data.message[0].Q2 == undefined ? 0 : parseFloat(data.message[0].Q2 * 100).toFixed(2) + "%");
				}
				Zepto("#zbdw").text(data.message[0].WinBidCompany);
				Zepto("#zbje").text(data.message[0].WinPrice == undefined ? "" : data.message[0].WinPrice + "元");

				//底部列表，滚动区域
				mui('.mui-scroll-wrapper').scroll({
					scrollY: true, //是否竖向滚动
					scrollX: false, //是否横向滚动
					startX: 0, //初始化时滚动至x
					startY: 0, //初始化时滚动至y
					indicators: true, //是否显示滚动条
					deceleration: 0.0006, //阻尼系数,系数越小滑动越灵敏
					bounce: true //是否启用回弹
				});
				var h1 = document.getElementById("ul1").offsetHeight + 52;
				var h = window.innerHeight ||
					document.documentElement.clientHeight ||
					document.body.clientHeight;
				var wr = document.getElementById("WR");
				wr.style.top = h1 + 'px';
				var scrollH = h - h1 + 'px';
				wr.style.height = scrollH;
			} else {
				mui.toast("获取失败!");
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

//获取投标记录
function getTBList(BidGuid) {
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "BidAssistant/Bidding/Bidding_Data.ashx";
	var data = {
		Method: 'BindGrid',
		token: app.getState().token,
		device_id: plus.device.uuid,
		BidGuid: BidGuid
	};
	mui.ajax(url, {
		data: data,
		async:false, 
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message != 'nodata') {
				isLishi = true;
				document.getElementById('totalnum').innerHTML = '总家数：' + data.RecordTotalNum;
				var li = '';
				for(var i = 0; i < data.message.length; i++) {
					li += '<li><p><span class="spanT">投标单位 :</span>';
					li += '<span class="spanC">' + data.message[i].CompanyName + '</span>';
					li += '</p><p><span class="spanT">投标金额 :</span>';
					li += '<span class="spanC">' + data.message[i].QuotedPrice + '元</span>';
					li += '</p></li>';
				}
				document.getElementById("ulList").innerHTML += li;
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		}
	});
}