mui.init();
mui.plusReady(function(){
	
})
var tel='';
document.getElementById("Next").addEventListener('tap', function() {
	var yzm = document.getElementById('yzm').value.trim();
	if(smsCode==yzm){
		mui.openWindow({
			url: 'wangJiMiMaNext.html',
			id: 'wangJiMiMaNext.html',
			extras:{
				tel:tel
			}
		})
	}
	else
	{
		mui.toast('验证码不正确');
	}
})

var canSend = true; //判断能否点击发送验证码
var smsCode = '';
//获取验证码
document.getElementById("getYZM").addEventListener('tap', function() {
	if(canSend) {
		tel = document.getElementById("tel").value.trim();
		if(tel == '') {
			mui.toast('请先填写手机号');
			return;
		} else if(!validatortel(tel)) {
			mui.toast('手机格式不正确');
			return;
		}
		plus.nativeUI.showWaiting();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		var data = {
			method: "GetSmsIdentCode",
			Mobile: tel
		}
		mui.ajax(url, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				canSend = false;
				declineTime();
				if(data.issuccessful){
					mui.toast('验证码已发送');
					smsCode = data.SmsIdentCode;
				}
				else{
					mui.toast('验证码发送失败；错误信息：'+data.SmsIdentCode);
					console.log(data.SmsIdentCode);
					smsCode='';
				}
//				mui.toast('验证码已发送');
				plus.nativeUI.closeWaiting();
//				smsCode = JSON.stringify(data).substr(1,6);
				console.log(smsCode);
			},
			error: function(xhr, type, errorThrown) {
				if(type == "timeout") {
					mui.toast('网络繁忙');
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				plus.nativeUI.closeWaiting();
			}
		});
	} else {
		return;
	}
})

//倒计时
function declineTime() {
	var s = 60;
	setInterval(function() {
		if(s == 0) {
			clearInterval();
			document.getElementById("getYZM").innerText = '获取验证码';
			canSend = true;
		} else
			document.getElementById("getYZM").innerText = (s--) + '秒后可重发';
	}, 1000);
}

function validatortel(tel) {
	if(tel.length != 11) {
		return false;
	}
	var regexp = /^\d+$/;
	if(!(regexp.test(tel))) {
		return false;
	}
	return true;
}