mui.init();
mui.plusReady(function(){
	var self = plus.webview.currentWebview();
	tel = self.tel;
})
document.getElementById("submit").addEventListener('tap', function() {
	var newpwd1 = document.getElementById("newpwd1").value.trim();
	var newpwd2 = document.getElementById("newpwd2").value.trim();
	if(newpwd1 == '') {
		mui.toast('请填写新密码');
		return;
	} else if(!validator(newpwd1)) {
		mui.toast('新密码格式应为6-18位,含字母和数字');
		return;
	}else if(newpwd1 != newpwd2) {
		mui.toast('确认密码不一致');
		return;
	} 
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		Method: "ForgetPwd",
		mobile: tel,
		newpwd: md5(tel + "|" + newpwd1)
	}
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			mui.toast('修改成功');
			plus.nativeUI.closeWaiting();
			mui.openWindow({
				url: 'login.html',
				id: 'login.html'
			})
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast('网络繁忙');
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			plus.nativeUI.closeWaiting();
		}
	});
})
function validator(passVal1) {
	if(passVal1.length < 6 || passVal1.length > 18) {
		return false;
	}
	var regexp = /(?!^(\d+|[a-zA-Z]+|[~!@#$%^&*?]+)$)^[\w~!@#$%\^&*?]+$/;
	if(!(regexp.test(passVal1))) {
		return false;
	}
	return true;
}