            var page = 0;
			var size = 10;
			var hasMore = true;
 
			mui.init({
				swipeBack: false, //启用右滑关闭功能
					gestureConfig: {
		            doubletap: true
	               },
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh 
					},
					up: {
						contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
						contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
						contentdown:'',
						callback: loadMore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
					}
				}
			});
			
		 
			/**
			 * 下拉刷新具体业务实现
			 */
			function pulldownRefresh() {
			   
 		       
 		        Zepto("#showMore").hide();
 			 	hasMore=true;
 				page=1;
 				makeHtml(page, size,true);
                
			}
			 
			/**
			 * 上拉加载具体业务实现
			 */
			function loadMore() {
				 
				if (hasMore) {
					  
					page++;
					makeHtml(page, size,false);
				} else {
				  
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
//				plus.nativeUI.closeWaiting();
			}
			//加载数据
   function makeHtml(page, size,ifcleardata) {
               	if(ifcleardata){
               		Zepto('#content').html("");
               	}
              
				 
				var url = config.ServerUrl + "AppService/App_Data.ashx";
	           
				var data = {
						Method: 'GetTenderingList',
		                token: app.getState().token,
		                device_id: plus.device.uuid,
		                Yema:page,
		                num:size,
		                ProjectName:Zepto("#search").val()
		                
				};
 
        mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(response) {

			  var dvcontent = Zepto('#content');
			 	 if (response.message != "nodata") {
				 for (var i = 0; i < response.message.length; i++) {
					var NoticeTime=new Date(response.message[i].NoticeTime).Format('yyyy-MM-dd');
 
							var li = document.createElement('li');
							li.id = response.message[i].UnitGuid;
							
						 
							li.className = 'mui-table-view-cell';
							li.innerHTML='<a class="mui-navigate-right">'+
								'<span class="spanTitle mui-ellipsis">'+response.message[i].ProjectName+'</span>'+
								'<span class="spanTime">发布时间：'+NoticeTime+'</span>'+
							'</a>';				 

							li.addEventListener('tap', function() {
								mui.openWindow({
									url: 'zhaoBiaoXinXiXiangQing.html',
									id: 'zhaoBiaoXinXiXiangQing.html',
									extras: {
										UnitGuid: this.id 
										 
									}
								});
							});
							dvcontent.append(li);
						}
					}
			 		
			        mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); 
                    mui('#pullrefresh').pullRefresh().refresh(true);
					if (response.isnext == "0") {
					  
   						Zepto("#showMore").hide();
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				     
						hasMore = false;
					} else {
   						Zepto("#showMore").show();
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					}
			 			},
			error: function(xhr, type, errorThrown) {
				 if (type == "timeout") {
					mui.toast("网络繁忙！");
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				 
				 
			}
		});
 
			}
             
              
           
			if (mui.os.plus) {
				mui.plusReady(function() {
				 
					setTimeout(function() {
						 
						mui('#pullrefresh').pullRefresh().pullupLoading();
					}, 1);

				});
			} else {
				mui.ready(function() {
				 
					mui('#pullrefresh').pullRefresh().pullupLoading();
				});
			}
			
function SelectZB(){
	 
	pulldownRefresh();
}
