mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.ulList');
var self;
var Property = '场内';
var minvalue = '',
	maxvalue = '',
	jyxq = '',
	gclx = '',
	zsfs = '',
	pbbf = '',
	jsff = '',
	starttime = '',
	endtime = '';
mui.plusReady(function() {
	self = plus.webview.currentWebview().parent();
	if(self.minvalue != undefined && self.maxvalue != null) {
		minvalue = self.minvalue;
		maxvalue = self.maxvalue;

	}
	if(self.jyxq != undefined && self.jyxq != null) {
		jyxq = self.jyxq;
	}
	if(self.gclx != undefined && self.gclx != null) {
		gclx = self.gclx;
	}
	if(self.zsfs != undefined && self.zsfs != null) {
		zsfs = self.zsfs;
	}
	if(self.pbbf != undefined && self.pbbf != null) {
		pbbf = self.pbbf;
	}
	if(self.jsff != undefined && self.jsff != null) {
		jsff = self.jsff;
	}
	if(self.starttime != undefined && self.starttime != null) {
		starttime = self.starttime;
	}
	if(self.endtime != undefined && self.endtime != null) {
		endtime = self.endtime;
	}
	document.getElementById("starttime").innerText = starttime == "" ? "请选择" : starttime;
	document.getElementById("endtime").innerText = endtime == "" ? "请选择" : endtime;
	document.getElementById("spangclb2").innerText = gclx == "" ? "请选择" : gclx;

	table.innerHTML = "";
	drawHtmlByName(1, 10, self.unitId);
})
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";
		drawHtmlByName(1, 10, self.unitId);

		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(hasMore == true)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			document.getElementById("noMore").innerText = "没有更多数据了";
		}
		drawHtmlByName(++page, 10, self.unitId);
	}, 500);
}

document.getElementById("submit").addEventListener("tap", function() {
	pulldownRefresh();
})

//根据公司名称获取中标情况
function drawHtmlByName(index, size, keyword) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;

	starttime = document.getElementById("starttime").innerText;
	starttime = starttime == "请选择" ? "" : starttime;
	endtime = document.getElementById("endtime").innerText;
	endtime = endtime == "请选择" ? "" : endtime;
	gclx = document.getElementById("spangclb2").innerText;
	gclx = gclx == "请选择" ? "" : gclx;

	var data = {
		method: 'GetProject_ZB',
		CompanyGuid: keyword,
		WinBidCompany: self.CompanyName,
		jyxq: jyxq,
		gclx: gclx,
		zsfs: zsfs,
		pbbf: pbbf,
		jsff: jsff,
		starttime: starttime,
		endtime: endtime,
		PageIndex: index,
		PageSize: size
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			//			console.log(JSON.stringify(response));
			var n1 = response.RecordTotalNum;
			var max = 0;
			if(n1 % size == 0)
				max = n1 / size;
			else
				max = n1 / size + 1;
			if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据

				hasMore = false;
				document.getElementById("noMore").innerText = "没有更多数据了";

			} else {
				hasMore = true;

			}
			for(var i = 0; i < response.message.length; i++) {
				var li = '<li id="' + response.message[i].UnitGuid + '">';
				li += '<span class="liName">' + response.message[i].ProjectName + '</span>';
				li += '<span class="liName2">标段名称：' + response.message[i].BidName + '</span>';
				li += "<div>";
				li += '<span class="fl">标段编号: ' + response.message[i].BidNo + '</span>';
				li += '<span class="fr">开标时间: ' + new Date(response.message[i].BeginBidDate).Format('yyyy-MM-dd') + '</span>';
				li += "</div>";
				li += '<span class="liCName">建设单位：' + response.message[i].TendereeName + '</span>';
				li += "<div>";
				li += '<span class="fl">建造师：' + (response.message[i].ManagerName == undefined ? "" : response.message[i].ManagerName) + '</span>';
				li += '<span class="fr">中标金额: ' + response.message[i].WinPrice + '元</span>';
				li += "</div>";
				li += "<div>";
				li += '<span class="fl">交易辖区: ' + getArea(response.message[i].Area) + '</span>';
				li += '<span class="fr">工程类型: ' + response.message[i].ProjectType + '</span>';
				li += "</div>";
				li += "<div>";
				li += '<span class="fl">资审方式: ' + response.message[i].CheckType + '</span>';
				li += '<span class="fr">评标办法: ' + response.message[i].WinBidType + '</span>';
				li += "</div>";
				li += "<div>";
				li += '<span class="fl">评标基准价计算方法: ' + response.message[i].BasePriceCalculate + '</span>';
				li += '<span class="fr">中标价下浮率：' + response.message[i].BidPriceLowRate + '</span>';
				li += "</div>";
				li += '</li>';
				//				console.log(response.message[i].ProjectName+",中标时间:"+response.message[i].WinBidDate);
				table.innerHTML += li;
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

function getArea(value) {
	var name = "";
	switch(value) {
		case "NJ":
			name = "市交易中心";
			break;
		case "JN":
			name = "江宁分中心";
			break;
		case "LH":
			name = "六合分中心";
			break;
		case "PK":
			name = "浦口分中心";
			break;
		case "GX":
			name = "高新开发区";
			break;
		case "JJ":
			name = "新港开发区";
			break;
		case "XL":
			name = "仙林大学城";
			break;
		case "HG":
			name = "化学工业园";
			break;
		case "GC":
			name = "高淳县";
			break;
		case "LS":
			name = "溧水县";
			break;
		case "XW":
			name = "玄武区";
			break;
		case "BX":
			name = "白下区";
			break;
		case "QH":
			name = "秦淮区";
			break;
		case "GL":
			name = "鼓楼区";
			break;
		case "JB":
			name = "江北新区";
			break;
		case "JY":
			name = "建邺区";
			break;
		case "XG":
			name = "下关区";
			break;
		case "QX":
			name = "栖霞区";
			break;
		case "YH":
			name = "雨花区";
			break;
		case "JK":
			name = "江宁开发区";
			break;
		case "NB":
			name = "南部新城";
			break;
		case "HX":
			name = "河西指挥部";
			break;
		case "ST":
			name = "生态科技岛";
			break;
		case "QL":
			name = "麒麟科技创新园";
			break;
		case "PX":
			name = "浦口新城";
			break;
		case "RJ":
			name = "软件谷";
			break;
		case "SL":
			name = "水利局";
			break;
		case "DT":
			name = "地铁指挥部";
			break;
		case "HD":
			name = "华东地区";
			break;
		case "SH":
			name = "上海市";
			break;
		case "JS":
			name = "江苏省";
			break;
		case "NJ":
			name = "浙江省";
			break;
		case "AH":
			name = "安徽省";
			break;
	}
	return name;
}

var data2 = [{
	value: '',
	text: '请选择'
}, {
	value: '单独立项装饰工程',
	text: '单独立项装饰工程'
}, {
	value: '地铁工程',
	text: '地铁工程'
}, {
	value: '电力工程',
	text: '电力工程'
}, {
	value: '房屋建筑工程',
	text: '房屋建筑工程'
}, {
	value: '国土项目',
	text: '国土项目'
}, {
	value: '交通工程',
	text: '交通工程'
}, {
	value: '市政工程',
	text: '市政工程'
}, {
	value: '水利工程',
	text: '水利工程'
}, {
	value: '园林绿化工程',
	text: '园林绿化工程'
}, {
	value: '其他工程',
	text: '其他工程'
}];
initDrop(document.getElementById("gclb"), data2, document.getElementById("spangclb"));

function initDrop(choose, data, userResult1, callback) {
	try {
		choose.addEventListener('tap', function(event) {
			//			mui('#pullrefresh').pullRefresh().disablePullupToRefresh(); //禁用上拉加载
			mui('#pullrefresh').pullRefresh().setStopped(true); //暂时禁止滚动
			var userPicker1 = new mui.PopPicker();
			userPicker1.setData(data);
			userPicker1.show(function(items) {

				var fr = choose.querySelector('.fr_s');
				fr.innerText = items[0].text == "请选择" ? "" : items[0].text;
				fr.lang = items[0].text == "请选择" ? "" : items[0].value;

				if(callback) {
					callback(fr.innerText);
				}
			});
		}, false);
	} catch(e) {
		console.log(e.message);
	}

}

//选择时间
var btns = mui('.lidate');
btns.each(function(i, btn) {
	btn.addEventListener('tap', function() {
		var nowYear = new Date().getFullYear();
		var optionsJson = '{"type":"date","beginYear":' + (nowYear - 2) + ',"endYear":' + (nowYear + 1) + '}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('name');
		console.log(id);
		var obj = this.querySelector('.fr_s');
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			//			document.getElementById(id).innerText = rs.text;
			//			console.log("rs.text:"+rs.text);
			obj.innerText = rs.text;
			picker.dispose();
		});
	}, false);
});
var html = document.querySelector('html');
html.addEventListener('tap', function(event) {
	mui('#pullrefresh').pullRefresh().setStopped(false); //开启禁止滚动
	//	mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //启用上拉加载
	//	mui('#pullrefresh').pullRefresh().refresh(true);
}, true);