mui.init();
var wgtVer = '';
mui.plusReady(function() {
	function validator(passVal1) {
		if(passVal1.length < 6 || passVal1.length > 18) {
			return false;
		}
		var regexp = /(?!^(\d+|[a-zA-Z]+|[~!@#$%^&*?]+)$)^[\w~!@#$%\^&*?]+$/;
		if(!(regexp.test(passVal1))) {
			return false;
		}
		return true;
	}

	document.getElementById("btnEnSure").addEventListener('tap', function() {
		var uname = document.getElementById("uname").value.trim();
		var company = document.getElementById("company").value.trim();
		var tel = document.getElementById("tel").value.trim();
		var pwd = document.getElementById("pwd").value.trim();
		var pwd2 = document.getElementById("pwd2").value.trim();
		var yzm = document.getElementById("yzm").value.trim();
		var msg = "";
		console.log("yzm:"+yzm);
		console.log("smsCode:"+smsCode);
		if(uname == "" || tel == "" ||company==""|| pwd == "" || pwd2 == "" || yzm == "") {
			msg += "信息填写不完整！\r\n";
		} else if(!validatortel(tel)) {
			msg += "手机号码格式不正确！\r\n";
		} else if(!validator(pwd)) {
			msg += "新密码格式应为6-18位,含字母和数字!\n";
		} else if(pwd != pwd2) {
			msg += "确认密码不一致！\r\n";
		} 
		else if(yzm != smsCode) {
			msg += "验证码不正确！\r\n";
		} else if(document.getElementById("chk1").checked == false) {
			msg += "请先阅读并同意条款！\r\n";
		}
		if(msg != "") {
			mui.toast(msg.substring(0, msg.length - 2));
			return;
		}
		var user = app.getUser();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		var md5password = md5(tel + "|" + pwd);
		document.getElementById("pwd").value = md5password;
		document.getElementById("pwd2").value = md5password;
		var data = {
			method: "UserRegister",
			uname: uname,
			pwd: md5password,
			tel: tel,
			Company:company
		}
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 20000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.success == true) {
					mui.toast("注册成功，请登录");
					mui.openWindow({
						url:"login.html",
						id:"login.html"
					});
					plus.webview.currentWebview().hide();
					plus.webview.currentWebview().close();
					
				} else if(data.success == "hassametel") {
					mui.toast("此手机号已被注册！");
				} else {
					mui.toast("注册失败！");
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if(type == "timeout") {
					mui.toast("网络繁忙！");
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				mui.toast("读取失败！");
			}
		});
	});

	
});
var canSend = true; //判断能否点击发送验证码
var smsCode = '';
//获取验证码
document.getElementById("getYZM").addEventListener('tap', function() {
	if(canSend) {
		var tel = document.getElementById("tel").value.trim();
		if(tel == '') {
			mui.toast('请先填写手机号');
			return;
		} else if(!validatortel(tel)) {
			mui.toast('手机格式不正确');
			return;
		}
		plus.nativeUI.showWaiting();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
		var data = {
			method: "GetSmsIdentCode",
			Mobile: tel
		}
		mui.ajax(url, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				
				console.log("data:"+ JSON.stringify(data));
				canSend = false;
				declineTime();
				if(data.issuccessful){
					mui.toast('验证码已发送');
					smsCode = data.SmsIdentCode;
				}
				else{
					mui.toast('验证码发送失败；错误信息：'+data.SmsIdentCode);
					console.log(data.SmsIdentCode);
					smsCode='';
				}
				plus.nativeUI.closeWaiting();
//				alert(smsCode);
			},
			error: function(xhr, type, errorThrown) {
				if(type == "timeout") {
					mui.toast('网络繁忙');
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				plus.nativeUI.closeWaiting();
			}
		});
	} else {
		return;
	}
})

//倒计时
function declineTime() {
	var s = 10;
	var time1 = setInterval(function() {
		if(s == 0) {
			clearInterval(time1);
			document.getElementById("getYZM").innerText = '获取验证码';
			canSend = true;
		} else
			document.getElementById("getYZM").innerText = (s--) + '秒后可重发';
	}, 1000);
}

function validatortel(tel) {
	if(tel.length != 11) {
		return false;
	}
	var regexp = /^\d+$/;
	if(!(regexp.test(tel))) {
		return false;
	}
	return true;
}

//条款内容
document.getElementById("TK").addEventListener('tap', function() {
	mui.openWindow({
		url: 'tiaoKuanContent.html',
		id: 'tiaoKuanContent.html'
	})

})


function ckchange(){
	if(document.getElementById("chk1").checked)
	{
		document.getElementById("btnEnSure").style.border="1px solid #4098DC";
		document.getElementById("btnEnSure").style.background="#4098DC";
	}	
	else
	{
		document.getElementById("btnEnSure").style.border="1px solid #c0c0c0";
		document.getElementById("btnEnSure").style.background="#c0c0c0";
	}
}


function getCoinInfo() {
	localStorage["coinnum"] = 0;
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetGoldCoin" 
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			if(data == null) {
				localStorage["coinnum"] = 0;
				return;
			}
			if(data.message.length > 0) {
				localStorage["coinnum"] = data.message[0].GoldCoin;
			} else {
				localStorage["coinnum"] = 0;
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

