mui.init()
var cred1 = "";
var cred2 = "";
var level1 = "";
var level2 = "";
var coin = '',
	startdate = '',
	enddate = '';
var isFree = false;
var isVIP = false;
//按名称查询
document.getElementById("submit1").addEventListener("tap", function() {
	var name = document.getElementById("searchName").value;
	if(name == "") {
		mui.toast("请输入单位名称");
		return;
	}
	VisitInfo('资质查询', '按单位名称查询资质：' + name);
	mui.openWindow({
		url: 'chaXunJieGuoFree.html',
		id: 'chaXunJieGuoFree.html',
		extras: {
			method: 'getListByName',
			CompanyName: name
		}
	})
})
var type = "";
//选择资质
document.getElementById("chooseZiZhi1").addEventListener("tap", function() {
	type = "1";
	mui.openWindow({
		url: 'ziZhiList.html',
		id: 'ziZhiList.html'
	})
})

//选择具备资质
document.getElementById("chooseZiZhi2").addEventListener("tap", function() {
	type = "2";
	mui.openWindow({
		url: 'ziZhiList.html',
		id: 'ziZhiList.html'
	})
})

//获取选择的资质
window.addEventListener('getValue', function(event) {
	if(type == '1') {
		cred1 = event.detail.cred;
		level1 = event.detail.level.trim() == "" ? "无" : event.detail.level.trim();
		if(level1 == "无")
			document.getElementById("zyzz").innerText = cred1
		else
			document.getElementById("zyzz").innerText = cred1 + '(' + level1 + ')';
		document.getElementById("zyzz1").style.display = "none";
	} else {
		cred2 = event.detail.cred;
		level2 = event.detail.level.trim() == "" ? "无" : event.detail.level.trim();;
		if(level2 == "无")
			document.getElementById("jbzz").innerText = cred2
		else
			document.getElementById("jbzz").innerText = cred2 + '(' + level2 + ')';

		document.getElementById("jbzz1").style.display = "none";
	}
});

document.getElementById("submit2").addEventListener("tap", function() {
	getAllModuleParam();

})

function formattime(value) {
	return value < 10 ? ('0' + value) : value;
}

//获取当前模块费用配置信息
function getAllModuleParam() {
	plus.nativeUI.showWaiting();
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '资质查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					isVIP = eval(data.message.isVIP);
				}
			
				if(coin == '') coin = 5;
				var nowdate = new Date(new Date().getFullYear() + '-' + formattime(new Date().getMonth() + 1) + '-' + formattime(new Date().getDate()));
				var condition = '1==1';
				if(startdate != '') {
					condition += '&&startdate<=nowdate';
					startdate = new Date(startdate);
				}
				if(enddate != '') {
					condition += '&&nowdate<=enddate';
					enddate = new Date(enddate);
				}
				if((condition != '1==1' && eval(condition)) || coin == 0) {
					isFree = true;
				}
				console.log("localStorage:" + localStorage["isFree"] + ";isVIP:" + isVIP + ";isHuoDong:" + localStorage["isHuoDong"]);
				plus.nativeUI.closeWaiting();
				if(cred1 == "" && cred2 == "") {
					mui.toast("请选择资质类别");
					return;
				}
				if(cred1 == "") {
					mui.toast("请选择主营资质");
					return;
				}

				if(cred2 == "") {
					if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true" || isFree == true) {
						VisitInfo('资质查询', '按资质类别查询：' + cred1 + level1);
						mui.openWindow({
							url: 'chaXunJieGuo.html',
							id: 'chaXunJieGuo.html',
							extras: {
								method: 'getListByZyzz',
								CredentialsName: cred1,
								CredentialsLevel: level1
							}
						});
						return;
					}
					//需要付费
					if(parseInt(localStorage["coinnum"]) - coin <= 0) {
						mui.toast("火币余额不足，请充值");
						mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
						return;
					}
					var bts = ["确定", "取消"];
					plus.nativeUI.confirm("查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
						if(bts[e.index] == "确定") {
							VisitInfo('资质查询', '按资质类别查询：' + cred1 + level1);
							GoldCoinConsumer("按资质类别查询");
							mui.openWindow({
								url: 'chaXunJieGuo.html',
								id: 'chaXunJieGuo.html',
								extras: {
									method: 'getListByZyzz',
									CredentialsName: cred1,
									CredentialsLevel: level1
								}
							})

						}
					}, "提示", bts);

				} else {
					if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true" || isFree == true) {
						VisitInfo('资质查询', '按资质类别查询：' + cred1 + level1 + "；" + cred2 + level2);
						mui.openWindow({
							url: 'chaXunJieGuo.html',
							id: 'chaXunJieGuo.html',
							extras: {
								method: 'getListByJbzz',
								CredentialsName: cred1,
								CredentialsLevel: level1,
								CredentialsName2: cred2,
								CredentialsLevel2: level2
							}
						});
						return;
					}
					//需要付费
					if(parseInt(localStorage["coinnum"]) - coin <= 0) {
						mui.toast("火币余额不足，请充值");
						mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
						return;
					}
					var bts = ["确定", "取消"];
					plus.nativeUI.confirm("查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
						if(bts[e.index] == "确定") {
							VisitInfo('资质查询', '按资质类别查询：' + cred1 + level1 + "；" + cred2 + level2);
							GoldCoinConsumer("按资质类别查询");
							mui.openWindow({
								url: 'chaXunJieGuo.html',
								id: 'chaXunJieGuo.html',
								extras: {
									method: 'getListByJbzz',
									CredentialsName: cred1,
									CredentialsLevel: level1,
									CredentialsName2: cred2,
									CredentialsLevel2: level2
								}
							});

						}
					}, "提示", bts);

				}
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById("zyzz").innerText = "";
	document.getElementById("jbzz").innerText = "";
	cred1 = "";
	cred2 = "";
	level1 = "";
	level2 = "";
	document.getElementById("jbzz1").style.display = "block";
	document.getElementById("zyzz1").style.display = "block";
})

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: coin,
		ConsumerContent: ConsumerContent
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("火币消费读取失败！");
		}
	});
}