mui.init();

mui.plusReady(function() {
	getZiZhiList();
})

function getZiZhiList() {
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		Method: 'GetAllCredentials',
		token: app.getState().token,
		device_id: plus.device.uuid
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			var preCate = "";
			var preCred = "";
			var preLevel = "";
			var tempContent = "";
			//console.log(JSON.stringify(response));
			for(var i = 0; i < response.message.length; i++) {
			 
				var CredentialsLevel = response.message[i].CredentialsLevel == "无" ? " " : response.message[i].CredentialsLevel;
				if(response.message[i].CategoryName == preCate) { //同一类目
					if(response.message[i].CredentialsName == preCred) { //同一资质
						tempContent += '<li class="mui-table-view-cell">';
						tempContent += '<div class="mui-radio">';
						tempContent += '<label><span style="padding-left: 35px;" class="name">' + CredentialsLevel + '</span></label>';
						tempContent += '<input cred="' + response.message[i].CredentialsName + '" level="' + CredentialsLevel + '" name="chk1" class="chk" type="radio">';
						tempContent += '</div>';
						tempContent += '</li>';
					} else {
						preCred = response.message[i].CredentialsName;					
						if(preLevel != "无") {
							tempContent += '</ul></li>';
						}
						preLevel = response.message[i].CredentialsLevel;
						if(CredentialsLevel != " ") {
							tempContent += '<li class="mui-table-view-cell mui-collapse-3">';
							tempContent += '<a style="padding-left: 25px;" class="mui-navigate-right" href="#">' + response.message[i].CredentialsName + '</a>';
							tempContent += '<ul class="mui-table-view">';

							tempContent += '<li class="mui-table-view-cell">';
							tempContent += '<div class="mui-radio">';
							tempContent += '<label><span style="padding-left: 35px;" class="name">' + CredentialsLevel + '</span></label>';
							tempContent += '<input cred="' + response.message[i].CredentialsName + '" level="' + CredentialsLevel + '" name="chk1" class="chk" type="radio">';
							tempContent += '</div>';
							tempContent += '</li>';
						} else {
							tempContent += '<li class="mui-table-view-cell" style="background-color: white;">';
							tempContent += '<a class="dandua"  style="padding-left: 25px;"  href="#">' + response.message[i].CredentialsName + '</a>';
							tempContent += '<div class="mui-radio"  class="danduDV">';
							tempContent += '<input cred="' + response.message[i].CredentialsName + '" level="' + CredentialsLevel + '" name="chk1" class="chk" type="radio">';
							tempContent += '</div>';
							tempContent += '</li>';
						}

					}
				} else {
					preCate = response.message[i].CategoryName;
					preCred = response.message[i].CredentialsName;
					preLevel = response.message[i].CredentialsLevel;
					if(i != 0) {
						tempContent += '</ul>';
						tempContent += '</li>';
						tempContent += '</ul>';
						tempContent += '</li>';
					}
					tempContent += '<li class="mui-table-view-cell mui-collapse-3">';
					tempContent += '<a class="mui-navigate-right" href="#">' + response.message[i].CategoryName + '</a>';

					if(CredentialsLevel != " ") {

						tempContent += '<ul class="mui-table-view">';
						tempContent += '<li class="mui-table-view-cell mui-collapse-3">';
						tempContent += '<a style="padding-left: 25px;" class="mui-navigate-right" href="#">' + response.message[i].CredentialsName + '</a>';

						tempContent += '<ul class="mui-table-view">';
						tempContent += '<li class="mui-table-view-cell">';
						tempContent += '<div class="mui-radio">';
						tempContent += '<label><span style="padding-left: 35px;" class="name">' + CredentialsLevel + '</span></label>';
						tempContent += '<input cred="' + response.message[i].CredentialsName + '" level="' + CredentialsLevel + '" name="chk1" class="chk" type="radio">';
						tempContent += '</div>';
						tempContent += '</li>';
					} else {
						tempContent += '<li class="mui-table-view-cell" style="background-color: white;">';
						tempContent += '<a class="dandua"  style="padding-left: 25px;"  href="#">' + response.message[i].CredentialsName + '</a>';
						tempContent += '<div class="mui-radio"  class="danduDV">';
						tempContent += '<input cred="' + response.message[i].CredentialsName + '" level="' + CredentialsLevel + '" name="chk1" class="chk" type="radio">';
						tempContent += '</div>';
						tempContent += '</li>';
					}
				}
			}
			tempContent += '</ul></li></ul></li>';
			document.getElementById("ullist").innerHTML = tempContent;
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
		}
	});
}
var cred = "";
var level = "";
//获取已选资质
mui(".mui-table-view").on("change", "input", function() {
	cred = this.getAttribute("cred");
	level = this.getAttribute("level");
});
//提交资质
document.getElementById("submit").addEventListener("tap", function() {
	if(cred == "" && level == "") {
		mui.toast("请选择资质！");
		return;
	}
	mui.fire(plus.webview.currentWebview().opener(), 'getValue', {
		cred: cred,
		level: level
	});
	plus.webview.currentWebview().close();
});

//二级折叠
var inputTap = false;
mui('.mui-card').on('tap', '.allSelect', function() {
	inputTap = true;
});
mui('.mui-card').on('tap', '.mui-navigate-right', function() {
	if(inputTap) {
		inputTap = false;
		return;
	}
	//记录状态
	var li = this.parentNode;
	var ul = this.parentNode.querySelector('.mui-table-view');
	var _liclass = hasClass(li, 'mui-active');
	//var _style = ul.style.display;
	//关闭同级菜单
	var parent = this.parentNode.parentNode.children;
	for(var i = 0; i < parent.length; i++) {
		if(!!parent[i].querySelector('.mui-table-view')) {
			parent[i].querySelector('.mui-table-view').style.display = '';
			removeClass(parent[i], 'mui-active');
		}
	}
	//更改状态
	if(_liclass) {
		if(ul.innerHTML != "")
			ul.style.display = '';
		removeClass(li, 'mui-active');
	} else {
		if(ul.innerHTML != "")
			ul.style.display = 'block';
		addClass(li, 'mui-active');
	}
	//关闭下级子菜单
	var children = ul.children;
	for(var i = 0; i < children.length; i++) {
		var child = children[i].querySelector('.mui-table-view');
		if(!!child) {
			child.style.display = '';
			removeClass(children[i], 'mui-active');
		}
	}
});

function hasClass(obj, cls) {
	return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

function addClass(obj, cls) {
	if(!this.hasClass(obj, cls)) obj.className += " " + cls;
}

function removeClass(obj, cls) {
	if(hasClass(obj, cls)) {
		var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
		obj.className = obj.className.replace(reg, '');
	}
}
//二级折叠结束