mui.init();

mui.plusReady(function() {
	GetNotVisitNum();
	$("#mui-backdrop").hide();

	window.addEventListener("refreshNotVisitNum", function() {
		GetNotVisitNum();
	});

	window.addEventListener("change2wuxi", function() {
		document.getElementById("citySpan").innerText = localStorage["city"];
		var city = document.getElementById("citySpan").innerText;
		var data = event.detail.data;
		document.getElementById("tj_tcc").innerHTML = '';
		var html = '<ul class="mui-view-cell">';
		for(x in data.message) {
			if(x == city) {
				html += '<li class="mui-table-view-cell city_active" id="' + data.message[x] + '" city = "' + x + '"><a href="#">' + x + '</a></li>';
			} else {
				html += '<li class="mui-table-view-cell" id="' + data.message[x] + '" city = "' + x + '"><a href="#">' + x + '</a></li>';
			}
		}
		html += '</ul>';
		document.getElementById("tj_tcc").innerHTML += html;

	});
})
document.getElementById("mui-backdrop").addEventListener('tap', function() {
	$("#mui-backdrop").hide();
	$("#tj_tcc").hide();
})

function GetNotVisitNum() {
	var url = config.ServerUrl + 'BidAssistant/Notice/Notice_Data.ashx';
	var data = {
		Method: 'GetNotVisitNumber',
		token: app.getState().token,
		IsApp: 1
	};

	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var notVisitNum = Number(data.message);
			plus.runtime.setBadgeNumber(notVisitNum);
			document.getElementById('badgeNum').innerText = notVisitNum;
			if(notVisitNum > 0) {
				document.getElementById('badgeNum').style.display = "block";

			} else {
				document.getElementById('badgeNum').style.display = "none";

			}

		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络错误');
			console.log(errorThrown);
		}
	});
}

mui("ul").on("tap", "li", function() {
	var href = this.getAttribute("href");
	var title = this.getAttribute("name");
	mui.openWindow({
		url: href,
		id: href,
		extras: {
			title: title
		}
	})
})

document.getElementById("CityAddress").addEventListener('tap', function() {
//	$("#mui-backdrop").show();
//	$("#tj_tcc").show();
//	showAllCity();
mui.openWindow({
		url: "../../adressPage.html",
		id: "adressPage.html"
	})
})

document.getElementById("Notice").addEventListener('tap', function() {
	mui.openWindow({
		id: 'gonggaoList',
		url: '../gongGao/gongGao_main.html'
	});
})

mui("#tj_tcc").on("tap", 'li', function() {
	var city = this.getAttribute('city');
	var id = this.getAttribute('id');
	localStorage["city"] = city;
	localStorage["CityCode"] = id;
	document.getElementById("citySpan").innerHTML = city;

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "ChangeCity",
		CityCode: id
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			$("#mui-backdrop").hide();
			$("#tj_tcc").hide();
			if(data) {
				if(data.message == 'ok') {
					mui.fire(plus.webview.getWebviewById('indexPage.html'), 'changeCity', {
						city: city
					});
					mui.fire(plus.webview.getWebviewById('index_sub.html'), 'changeCity', {
						city: city
					});

				}

				if(city == '南京') {
					mui.fire(plus.webview.getWebviewById("indexPage.html"), "changePage1", {});
				}
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
})

//获取所有的城市
function showAllCity() {
		mui('#tj_tcc li').each(function() {
			if($(this).attr("city") == localStorage["city"]) {
				$(this).addClass('city_active');
			} else {
				$(this).removeClass('city_active');
			}
		})
		$("#mui-backdrop").show();

}