mui.init();
var title = '';
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	title = self.title;
	document.getElementById("title").innerText = title;
	GetDetail();
})

function GetDetail() {
	var surl = config.ServerUrl + "BidAssistant/CA/Info_Data.ashx";
	console.log(localStorage["CityCode"]);
	var data = {
		Method: "GetDetail",
		CityCode: localStorage["CityCode"]
	};
	mui.ajax(surl, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			console.log(JSON.stringify(data)); 
			if(data) {
				if(title == "办理流程") {
					document.getElementById("mui-content").innerHTML = data.message[0].TaskFlow;
				} else if(title == "办理所需资料") {
					document.getElementById("mui-content").innerHTML = data.message[0].Material;
				} else if(title == "办理地点及时间") {
					document.getElementById("mui-content").innerHTML = data.message[0].Address;
				} else if(title == "联系方式") {
					document.getElementById("mui-content").innerHTML = data.message[0].Tel;
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log(errorThrown);
		}
	});
}