mui.init();
mui.plusReady(function() {
	document.getElementById("btnSelect").addEventListener('tap', function() {
		var choosedate = document.getElementById('spanchoosedate').lang;
		var startdate = document.getElementById('spanstartdate').innerText;
		var enddate = document.getElementById('spanenddate').innerText;
		if(choosedate == 1)
			PayCoin(GetMethodExtractRatio_DayBefore);
		else if(choosedate == 2)
			PayCoin(GetMethodExtractRatio_Week);
		else if(choosedate == 3)
			PayCoin(GetMethodExtractRatio_Month);
		else if(startdate != "" && enddate != "")
			PayCoin(GetMethodExtractRatio_Custom);
		else
			mui.toast("请先选择时段或者开始结束日期！");
	})
})
var isVIP = false;
//工程类型选择
var showUserPickerButton1 = document.getElementById('gclx');
var userResult1 = document.getElementById('spangclx');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '装饰装修工程',
		text: '装饰装修工程'
	}, {
		value: '安装工程',
		text: '安装工程'
	}, {
		value: '市政公用工程',
		text: '市政公用工程'
	}, {
		value: '园林绿化古建筑工程',
		text: '园林绿化古建筑工程'
	}, {
		value: '市政养护工程',
		text: '市政养护工程'
	}, {
		value: '水利水电工程',
		text: '水利水电工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '雨污水改造',
		text: '雨污水改造'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker1.show(function(items) {
		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton1.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//选择时段
var showUserPickerButton2 = document.getElementById('choosedate');
var userResult2 = document.getElementById('spanchoosedate');
showUserPickerButton2.addEventListener('tap', function(event) {
	var userPicker2 = new mui.PopPicker();
	userPicker2.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '1',
		text: '前一天'
	}, {
		value: '2',
		text: '前一周'
	}, {
		value: '3',
		text: '前一个月'
	}]);
	userPicker2.show(function(items) {
		userResult2.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult2.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton2.querySelector('.fr').innerText = '';
			document.getElementById("spanstartdate").innerText = "";
			document.getElementById("spanstartdate1").innerText = "请选择";
			document.getElementById("spanenddate").innerText = "";
			document.getElementById("spanenddate1").innerText = "请选择";
		} else {
			showUserPickerButton2.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//日期选择
(function($) {
	$.init();
	var lidates = $('.lidate');
	lidates.each(function(i, lidate) {
		lidate.addEventListener('tap', function() {
			var nowYear = new Date().getFullYear();
			var optionsJson = '{"type":"date","beginYear":' + (nowYear - 2) + ',"endYear":' + (nowYear + 1) + '}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('name');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				var ids = id + "1";
				document.getElementById(id).innerText = rs.text;
				if(rs.text == "")
					document.getElementById(ids).innerText = "请选择";
				else
					document.getElementById(ids).innerText = "";
				document.getElementById('spanchoosedate').lang = "";
				document.getElementById('spanchoosedate').innerText = "";
				document.getElementById('choosedate').querySelector('.fr').innerText = '请选择';
				picker.dispose();
			});
		}, false);
	});

})(mui);

document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById('spangclx').lang = "";
	document.getElementById('spangclx').innerText = "";
	document.getElementById('gclx').querySelector('.fr').innerText = '请选择';
	document.getElementById('spanchoosedate').lang = "";
	document.getElementById('spanchoosedate').innerText = "";
	document.getElementById('choosedate').querySelector('.fr').innerText = '请选择';
	document.getElementById("spanstartdate").innerText = "";
	document.getElementById("spanstartdate1").innerText = "请选择";
	document.getElementById("spanenddate").innerText = "";
	document.getElementById("spanenddate1").innerText = "请选择";
})

function PayCoin(callback) {
	plus.nativeUI.showWaiting('获取配置中...');
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '评标计算方法查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				console.log(JSON.stringify(data));
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					//					console.log("VIPss:"+data.message.isVIP);
					isVIP = eval(data.message.isVIP);
				}
				console.log("VIPss:" + data.message.isVIP + ";")
				if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true") {
					VisitInfo('计算方法查询', '查询评标基准价计算方法历史记录');
					callback();
					return;
				}
				if(parseInt(localStorage["coinnum"]) - 10 <= 0) {
					mui.toast("火币余额不足，请充值");
					mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
					return;
				}
				var bts = ["确定", "取消"];
				plus.nativeUI.confirm("查询将花费10枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {

					if(bts[e.index] == "确定") {
						VisitInfo('计算方法查询', '查询评标基准价计算方法历史记录');
						GoldCoinConsumer("查询评标基准价计算方法历史");
						callback();
					}
				}, "提示", bts);
				plus.nativeUI.closeWaiting();
			}
			plus.nativeUI.closeWaiting();

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});

}

function GetMethodExtractRatio_Custom() {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang,
		StartTime: document.getElementById('spanstartdate').innerText,
		EndTime: document.getElementById('spanenddate').innerText
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "" && data.message.date2 != "") {
						document.getElementById("spanDateRange").innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1").innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2").innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtractRatio_DayBefore() {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_DayBefore",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "") {
						document.getElementById("spanDateRange").innerHTML = data.message.date1.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1").innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2").innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtractRatio_Week() {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_Week",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "" && data.message.date2 != "") {
						document.getElementById("spanDateRange").innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1").innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2").innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtractRatio_Month() {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "" && data.message.date2 != "") {
						document.getElementById("spanDateRange").innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1").innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2").innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtract20_DayBefore() {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtract20_DayBefore"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.success == true) {
					Zepto('#ulList').html("");
					var dvcontent = Zepto('#ulList');
					if(data.message.length > 0) {
						for(var i = 0; i < data.message.length; i++) {

							var BasePriceCalculate = data.message[i].BasePriceCalculate == undefined ? "" : data.message[i].BasePriceCalculate;
							var colorclass = 'orange';
							if(BasePriceCalculate == "方法二") {

								colorclass = 'blue';
							}

							var li = document.createElement('li');
							li.className = "jieguo_ullistli";
							li.innerHTML = '<p><span class="name">项目名称:</span><span class="value">' + data.message[i].ProjectName + '</span></p>' +
								'<p><span class="name">标段编号:</span><span class="value">' + data.message[i].BidNo + '</span></p>' +
								'<p><span class="name">抽取结果:</span><span class="value color_yicz"><label class="' + colorclass + '">' + BasePriceCalculate + '</label></span></p>';

							dvcontent.append(li);
						}
					} else {
						var li = document.createElement('li');
						li.innerHTML = '<li class="nodata">暂无数据</li>';
						dvcontent.append(li);

					}

				}
				plus.nativeUI.closeWaiting();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: 10,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}