mui.init();

var coin = 0;
var startdate = '',
	enddate = '';
var isFree = false; //判断是否处于免费查询时间段
var isVIP = false;
mui.plusReady(function() {
	getAllModuleParam();
	mui('.mui-slider').slider().setStopped(true);
})

mui('.mui-slider').on('tap', 'a', function() {
	var id = this.id;
	//	console.log("aaa");
	if(id == 'a2')
		PayCoin(GetMethodExtractRatio_DayBefore, id, 2);
	else if(id == 'a3')
		PayCoin(GetMethodExtractRatio_Week, id, 2);
	else if(id == 'a4')
		PayCoin(GetMethodExtractRatio_Month, id, 2);
	else
		PayCoin(GetMethodExtract20_DayBefore, id, 1);
});

//获取当前模块费用配置信息
function getAllModuleParam() {
	plus.nativeUI.showWaiting();
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '评标计算方法查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				//				for(var j = 0; j < data.message.length; j++) {
				//					if(data.message[j].ParaName == '计算方法查询') {
				//						var content = JSON.parse(data.message[j].ParaContent);
				//						coin = content.Money;
				//						startdate = content.FreeStartDate;
				//						enddate = content.FreeEndDate;
				//					}
				//				}
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(coin == '') coin = 10;
				console.log("startdate:" + startdate + ";enddate:" + enddate);
				if(data.message.isVIP) {
					isVIP = eval(data.message.isVIP);
				}
				//				console.log(isVIP);
				plus.nativeUI.closeWaiting();
				var nowdate = new Date(new Date().getFullYear() + '-' + formattime(new Date().getMonth() + 1) + '-' + formattime(new Date().getDate()));
				var condition = '1==1';
				if(startdate != '') {
					condition += '&&startdate<=nowdate';
					startdate = new Date(startdate);
				}
				if(enddate != '') {
					condition += '&&nowdate<=enddate';
					enddate = new Date(enddate);
				}
				if((condition != '1==1' && eval(condition)) || coin == 0) {
					isFree = true;
				}
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function formattime(value) {
	return value < 10 ? ('0' + value) : value;
}

//工程类型选择
var showUserPickerButton1 = document.getElementById('gclx');
var userResult1 = document.getElementById('spangclx');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '装饰装修工程',
		text: '装饰装修工程'
	}, {
		value: '安装工程',
		text: '安装工程'
	}, {
		value: '市政公用工程',
		text: '市政公用工程'
	}, {
		value: '园林绿化古建筑工程',
		text: '园林绿化古建筑工程'
	}, {
		value: '市政养护工程',
		text: '市政养护工程'
	}, {
		value: '水利水电工程',
		text: '水利水电工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '雨污水改造',
		text: '雨污水改造'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker1.show(function(items) {
		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton1.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.fr').innerText = '请选择';
		}
	});

}, false);

document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById('spangclx').lang = "";
	document.getElementById('spangclx').innerText = "";
	document.getElementById('gclx').querySelector('.fr').innerText = '请选择';
})

function PayCoin(callback, id, type) {
	//	console.log("isFree:" + localStorage["isFree"] + ";isFree:" + isFree + ";isVIP" + isVIP + ";isHuoDong:" + localStorage["isHuoDong"] );
	if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true") {
		VisitInfo('计算方法查询', '查询评标基准价计算方法历史记录');
		callback(id, type);
		return;
	}
	if(parseInt(localStorage["coinnum"]) - coin <= 0) {
		mui.toast("火币余额不足，请充值");
		mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
		return;
	}
	var bts = ["确定", "取消"];
	plus.nativeUI.confirm("查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {

		if(bts[e.index] == "确定") {
			VisitInfo('计算方法查询', '查询评标基准价计算方法历史记录');
			GoldCoinConsumer("查询评标基准价计算方法历史");
			callback(id, type);
		}
	}, "提示", bts);
}

function GetMethodExtractRatio_DayBefore(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_DayBefore",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "") {
						document.getElementById("spanDateRange_" + id).innerHTML = data.message.date1.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1_" + id).innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2_" + id).innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtractRatio_Week(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_Week",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "" && data.message.date2 != "") {
						document.getElementById("spanDateRange_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1_" + id).innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2_" + id).innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtractRatio_Month(id, type) {
	plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetMethodExtractRatio_Month",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.success == true) {
					if(data.message.date1 != "" && data.message.date2 != "") {
						document.getElementById("spanDateRange_" + id).innerHTML = data.message.date1.replace(/-/g, ".") + "至" + data.message.date2.replace(/-/g, ".");
					}
					if(data.message.method1 != undefined && data.message.method2 != undefined) {
						document.getElementById("date1_" + id).innerText = (data.message.method1 * 100).toFixed(2) + "%";
						document.getElementById("date2_" + id).innerText = (data.message.method2 * 100).toFixed(2) + "%";
					}
				}
				GetMethodExtract20_DayBefore(id, type);
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetMethodExtract20_DayBefore(id, type) {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		Method: "GetMethodExtract20_DayBefore",
		ProjectType: document.getElementById('spangclx').lang
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				var count1 = 0,
					count2 = 0;
				if(data.success == true) {
					Zepto('#ulList_' + id).html("");
					var dvcontent = Zepto('#ulList_' + id);
					if(data.message.length > 0) {
						for(var i = 0; i < data.message.length; i++) {
							var BasePriceCalculate = data.message[i].BasePriceCalculate == undefined ? "" : data.message[i].BasePriceCalculate;
							var colorclass = 'orange';
							if(BasePriceCalculate == "方法二") {
								colorclass = 'blue';
								count2++;
							} else if(BasePriceCalculate == "方法一") {
								count1++;
							}
							var li = document.createElement('li');
							li.className = "jieguo_ullistli";
							li.innerHTML = '<p><span class="name">项目名称:</span><span class="value">' + data.message[i].ProjectName + '</span></p>' +
								'<p><span class="name">标段编号:</span><span class="value">' + data.message[i].BidNo + '</span></p>' +
								'<p><span class="name">抽取结果:</span><span class="value color_yicz"><label class="' + colorclass + '">' + BasePriceCalculate + '</label></span></p>';

							dvcontent.append(li);
						}
						var result1 = 0,
							result2 = 0;
						if(count1 != 0 || count2 != 0) {
							result1 = (count1 / (count1 + count2) * 100).toFixed(2);
							result2 = (count2 / (count1 + count2) * 100).toFixed(2);
						}
						if(type == 1) {
							document.getElementById("date1_" + id).innerText = result1 + "%";
							document.getElementById("date2_" + id).innerText = result2 + "%";
						}

					} else {
						var li = document.createElement('li');
						li.innerHTML = '<li class="nodata">暂无数据</li>';
						dvcontent.append(li);

					}

				}
				plus.nativeUI.closeWaiting();
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: coin,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}