//启用双击监听
mui.init({
	swipeBack: false,
	gestureConfig: {
		doubletap: true
	}
});

mui.plusReady(function() {
	if(localStorage["isFree"] == 'false')
		document.getElementById('shareapp').style.display = 'block';
	openhref('.ul_list', 'a');
	window.addEventListener('refreshVer', function() {

		document.getElementById('NewVer').style.display = "block";
	});
	if(localStorage["isVIP"] == "true") {
		document.getElementById('isVIP').style.display = "block";
		document.getElementById('vipDeadLine').innerText = localStorage["vipDeadLine"] == undefined ? "" : localStorage["vipDeadLine"];
	}

	window.addEventListener("refreshvip", function() {
		document.getElementById('isVIP').style.display = "block";
		document.getElementById('vipDeadLine').innerText = localStorage["vipDeadLine"] == undefined ? "" : localStorage["vipDeadLine"];
		document.getElementById("vipenddate").style.display = "block";
		document.getElementById('zcsj').innerText = localStorage["vipDeadLine"] == undefined ? "" : localStorage["vipDeadLine"];
	});
	document.getElementById('isVIP').addEventListener('tap', function() {
		document.getElementById('ZH').style.display = "block";
		document.getElementById('UP').style.display = "block";
	});
	document.getElementById('Fn').addEventListener('tap', function() {
		document.getElementById('ZH').style.display = "none";
		document.getElementById('UP').style.display = "none";
	})
	document.getElementById('shareapp').addEventListener('tap', function() {
		shareHref();
	})
	document.getElementById("myhelp").addEventListener('tap', function() {
		mui.openWindow({
			url: 'MyHelp.html',
			id: 'MyHelp.html',
		});
	})
	getImgPath();
	GetInfo();
	GetCoinSignInfo();

	document.getElementById('xiuGaiZiLiao').addEventListener('tap', function() {

		mui.openWindow({
			url: 'xiuGaiZiLiao.html',
			id: 'xiuGaiZiLiao',
			extras: {
				company: document.getElementById('szdw').innerText

			}
		});

	});

	window.addEventListener('refreshcompay', function(event) {
		document.getElementById('szdw').innerText = event.detail.compayname;

	})
	document.getElementById("App_off").addEventListener("tap", function() {
		plus.nativeUI.confirm("是否确定退出？", function(e) {
			if(e.index == 1) {
				clearSession();
				window.localStorage["skipLogin"] = "no";
				plus.webview.open("../../login.html", "login.html", "", "slide-in-left", "10");
			}
		}, "", ["取消", "退出"])
	});

	function clearSession() {
		var data = {
			Method: 'Logout',
			token: app.getState().token,
			device_id: plus.device.uuid
		};
		var url = config.ServerUrl + "XD.Login/token.ashx";
		mui.ajax(url, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {},
			error: function(xhr, type, errorThrown) {

			}
		});
	}
	window.addEventListener("refreshqd", function() {

		getTotalCoinInfo();
		GetCoinSignInfo();
	});

	document.getElementById('QDimg').addEventListener('tap', function() {
		TodaySign();
	})
	window.addEventListener('RepairImage', function(event) {
		//获得事件参数
		var e_tag = event.detail.tag;
		upload(e_tag['data']['target']);
	});

	document.getElementById("picture-btn").addEventListener('tap', function() {
		var btnArray = [{
			title: "拍照"
		}, {
			title: "从相册选择"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			switch(e.index) {
				case 0:
					//text += "取消";
					break;
				case 1:
					//text += "拍照";
					appendByCamera();

					break;
				case 2:
					//text += "从相册选择";
					appendByGallery();
					break;
			}
		});
	});
})

function TodaySign() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinSign"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message.length > 0) {
					mui.toast("签到成功！");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
					localStorage["IfQD"] = "true";
					localStorage["SignDay"] = data.message[0].SignDayNum;
					document.getElementById("QDTS").innerText = data.message[0].SignDayNum;
					document.getElementById('QDimg').style.display = "none";
					document.getElementById('YQDimg').style.display = "inline";
					document.getElementById('QD').innerHTML = "今日已签到,已连续签到<span class=\"day_num\"  >" + data.message[0].SignDayNum + "</span>天";

					getTotalCoinInfo();
				}
			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function getTotalCoinInfo() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetGoldCoin"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message.length > 0) {
					localStorage["coinnum"] = data.message[0].GoldCoin;
					mui.fire(plus.webview.getWebviewById("indexPage.html"), "refreshNotVisitNum", {});
				}
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetCoinSignInfo() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetGoldCoinSignInfo"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			try {
				if(data == null)
					return;
				var signday = 0;
				if(data.GoldCoin == '0') {
					//今日已签到
					document.getElementById("QDimg").style.display = "none";
					document.getElementById("YQDimg").style.display = "block";
					document.getElementById('QD').innerHTML = "今日已签到,已连续签到<span class=\"day_num\"  >" + data.SignDayNum + "</span>天";
				} else {
					document.getElementById("QDTS").innerText = data.SignDayNum;
					document.getElementById("WinCoin").innerText = "+" + data.GoldCoin;
				}
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GetInfo() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		method: "getMyInfo"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			if(data.message.length > 0) {
				document.getElementById("username").innerHTML = localStorage["username"];
				document.getElementById("usertel").innerText = data.message[0].Mobile == undefined ? "" : data.message[0].Mobile;
				localStorage["usertel"] = data.message[0].Mobile;
				document.getElementById("szdw").innerText = data.message[0].Company == undefined ? "" : data.message[0].Company;
				localStorage["company"] = document.getElementById("szdw").innerText;
				if(localStorage["isVIP"] == "true") {
					document.getElementById("vipenddate").style.display = "block";
					if(localStorage["vipDeadLine"]) {
						document.getElementById("zcsj").innerText = localStorage["vipDeadLine"];
					}
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}

// 拍照添加文件
function appendByCamera() {
	MyApp.operateImage.camera_img(0); //拍照
}
// 从相册添加文件
function appendByGallery() {
	MyApp.operateImage.gallery_img(0); //相册
}

function upload(p) {

	var server = config.ServerUrl + "AppService/App_Data.ashx?Method=Savepic";

	var wt = plus.nativeUI.showWaiting();
	var task = plus.uploader.createUpload(server, {
			method: "POST"
		},
		function(t, status) { //上传完成
			if(status == 200) {

				getImgPath();
				mui.fire(plus.webview.getWebviewById("index.html"), "refreshimg", {});
				wt.close();
			} else {

				//outLine("上传失败："+status);
				wt.close();
			}
		}
	);
	var filename = p.substr(p.lastIndexOf('/') + 1);
	var token = app.getState().token;
	var device_id = plus.device.uuid;
	task.addData("filename", filename);
	task.addData("token", token);
	task.addData("device_id", device_id);
	task.addFile(p, {
		key: "peoplepic"
	});
	task.start();

}

//获取照片
function getImgPath() {
	localStorage["imgPath"] = "";

	var filepath = config.HostUrl + app.getUser().TenantID + '/' + app.getUser().UserGuid + '.jpg';

	localStorage["imgPath"] = filepath;
	getImg();
}

function getImg() {
	var imgInfo = document.getElementById("touxiang");
	if(imgInfo != null) {
		imgInfo.src = localStorage["imgPath"] + "?datetime=" + new Date().toLocaleString();
	}
}

//下载附件
function Download(url) {
	var dtask = plus.downloader.createDownload(url, {}, function(d, status) {
		// 下载完成
		if(status == 200) {
			//调用第三方应用打开附件
			plus.runtime.openFile(d.filename, {}, function() {})
			mui.toast("下载成功，请选择应用打开");
		} else {
			mui.toast("下载失败");
		}
	});
	dtask.start();
}

//mui.back = function(event) {
//	plus.webview.currentWebview().close();
//};

//window.addEventListener('refreshcoin', function() {
//	document.getElementById("coinnum").innerText = toThousands(localStorage["coinnum"]);
//});

var shares = null;
var Intent = null,
	File = null,
	Uri = null,
	main = null;
// H5 plus事件处理
function plusReady() {
	updateSerivces();
	if(plus.os.name == "Android") {
		main = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass("android.content.Intent");
		File = plus.android.importClass("java.io.File");
		Uri = plus.android.importClass("android.net.Uri");
	}
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}
/**
 * 更新分享服务
 */
function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		mui.toast("获取分享服务列表失败：" + e.message);
	});
}
// 分享链接
function shareHref() {
	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	ss && ss.nativeClient && (shareBts.push({
			title: '微信朋友圈',
			s: ss,
			x: 'WXSceneTimeline'
		}),
		shareBts.push({
			title: '微信好友',
			s: ss,
			x: 'WXSceneSession'
		}));
	ss = shares['qq'];
	ss && ss.nativeClient && shareBts.push({
		title: 'QQ',
		s: ss
	});
	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({
		title: '分享链接',
		cancel: '取消',
		buttons: shareBts
	}, function(e) {
		(e.index > 0) && shareAction(shareBts[e.index - 1], true);
	}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
}
/**
 * 分享操作
 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
 * @param {Boolean} bh 是否分享链接
 */
function shareAction(sb, bh) {
	//outSet("分享操作：");
	if(!sb || !sb.s) {
		console.log("无效的分享服务！");
		return;
	}
	var msg = {
		href: '#',
		title: '金火鸟投标精灵',
		content: '为您投标提供帮助',
		extra: {
			scene: sb.x
		}
	};
	msg.thumbs = ["../../img/splash/logo.png"];
	msg.pictures = ["../../img/splash/logo.png"];
	// 发送分享
	if(sb.s.authenticated) {
		console.log("---已授权---");
		shareMessage(msg, sb.s);
	} else {
		console.log("---未授权---");
		sb.s.authorize(function() {
			shareMessage(msg, sb.s);
		}, function(e) {
			console.log("认证授权失败：" + e.code + " - " + e.message);
		});
	}
}
/**
 * 发送分享消息
 * @param {JSON} msg
 * @param {plus.share.ShareService} s
 */
function shareMessage(msg, s) {
	console.log(JSON.stringify(msg));
	s.send(msg, function() {
		console.log("分享到\"" + s.description + "\"成功！ ");
	}, function(e) {
		console.log("分享到\"" + s.description + "\"失败: " + JSON.stringify(e));
	});
}