document.getElementById("CZ").addEventListener('tap', function() {
	mui.openWindow({
		url: 'gouMaiJinBi.html',
		id: 'gouMaiJinBi.html'
	})
})
document.getElementById("ZZ").addEventListener('tap', function() {
	mui.openWindow({
		url: 'zhuanZeng.html',
		id: 'zhuanZeng.html'
	})
})

document.getElementById("KTBN").addEventListener('tap', function() {
	mui.openWindow({
		url: 'vipPage.html',
		id: 'vipPage.html',
		extras: {
			type: 12
		},
	})
})
//document.getElementById("vipty").addEventListener('tap', function() {
//		mui.openWindow({
//			url: 'vipPage.html',
//			id: 'vipPage.html',
//			extras:{
//				type:1
//  		},
//		})
//})

//启用双击监听
mui.init({
	swipeBack: false,
	gestureConfig: {
		doubletap: true
	},
	subpages: [{
		url: 'chongZhiPage.html',
		id: 'chongZhiPage.html',
		styles: {
			top: '175px',
			bottom: '0px'
		}
	}, {
		url: 'xiaoFeiPage.html',
		id: 'xiaoFeiPage.html',
		styles: {
			top: '175px',
			bottom: '0px'
		}
	}, {
		url: 'zhuanZengPage.html',
		id: 'zhuanZengPage.html',
		styles: {
			top: '175px',
			bottom: '0px'
		}
	}]
});
var subpages = ['chongZhiPage.html', 'xiaoFeiPage.html', 'zhuanZengPage.html'];
var subPageStyle = {
	top: '175px',
	bottom: '0px'
};
var aniShow = {};
mui.plusReady(function() {
	if(localStorage["isVIP"] == "true") {
		document.getElementById("vipimg").style.display = "block";
	}
	window.addEventListener("refreshjinbi", function() {
		console.log("JB:"+localStorage["coinnum"]);
		document.getElementById("MyCoin").innerText = localStorage["coinnum"];
	});
	console.log("coinnum:" + localStorage["coinnum"]);
	//	window.addEventListener("refreshvip", function() {
	//		if(localStorage["isVIP"] == "true") {
	//			document.getElementById("vipimg").style.display = "block";
	//		}
	//	});
	setTimeout(function() {
		document.getElementById("MyCoin").innerText = localStorage["coinnum"];

	}, 1000);

	setTimeout(function() {
		plus.webview.hide(subpages[1]);
		plus.webview.hide(subpages[2]);
	}, 500);
	var contentWebview = null;
	document.querySelector('header').addEventListener('doubletap', function() {
		if(contentWebview == null) {
			contentWebview = plus.webview.currentWebview().children()[0];
		}
		contentWebview.evalJS("mui('#pullrefresh').pullRefresh().scrollTo(0,0,100)");
	});

	mui('#segmentedControl').on('tap', 'a', function() {
		var id = this.getAttribute('id');
		for(var i = 0; i < 3; i++) {
			document.getElementById(i).classList.remove('active');
		}
		this.classList.add('active');
		//如果不存在则创建，否则直接显示
		if(!plus.webview.getWebviewById(subpages[id])) {
			plus.webview.create(subpages[id], subpages[id], subPageStyle);
		}
		//若为iOS平台或非首次显示，则直接显示
		if(mui.os.ios || aniShow[subpages[id]]) {
			plus.webview.show(subpages[id]);
		} else {
			//否则，使用fade-in动画，且保存变量
			var temp = {};
			temp[subpages[id]] = "true";
			mui.extend(aniShow, temp);
			plus.webview.show(subpages[id], "", 300);
		}
		//隐藏当前;
		for(var i = 0; i < 3; i++) {
			if(i != id)
				plus.webview.hide(subpages[i]);
		}
	})
});

document.getElementById('totalcoin').addEventListener('tap', function() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetGoldCoin"
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.message.length > 0) {
					localStorage["coinnum"] = data.message[0].GoldCoin;
					document.getElementById('MyCoin').innerHTML = localStorage["coinnum"];
				}
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
})