mui.init();
//右滑关闭
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
    var company = self.company;
	document.getElementById('company').value=company;
	document.getElementById("save").addEventListener('tap', function() {	 
		var company = document.getElementById("company").value.trim();
		if(company == "") {
			mui.toast("所在单位不能为空！");
			return;
		}
		var user = app.getUser();
		var url = config.ServerUrl + "AppService/App_Data.ashx";
	 
		var data = {
			token: app.getState().token,
			device_id: plus.device.uuid,
			method: "updateZiLiao",
			company: company
			 
		}
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 20000, //超时时间设置为10秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
 
                mui.toast(data.message);
				if(data.message == "修改成功") {
					var parentself = plus.webview.getWebviewById("html/geRenZhongXin/geRenZhongXin_main.html");
					mui.fire(parentself,'refreshcompay',{compayname:document.getElementById("company").value.trim()})
				 
				}  
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if(type == "timeout") {
					mui.toast("网络繁忙！");
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				mui.toast("读取失败！");
			}
		});
	});
});