mui.init();
var GoldCoinName = "";
var UnitGuid='';
var pays = {};
var w = null;
var PAYSERVER = config.ServerUrl + "AppService/PayService.ashx?Method=GetPayInfo&payid=";
//var PAYSERVER = 'http://192.16.137.1/ServicePay/Service.ashx?Method=GetPayInfo&payid=';
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	document.getElementById("IfVIP").value = true;
	document.getElementById("WinCoinNum").value = '0';
	UnitGuid=self.UnitGuid;
	getDetail();

	// 获取支付通道
	plus.payment.getChannels(function(channels) {
		var content = document.getElementById('dcontent');
		var info = document.getElementById("info");
		var txt = "支付通道信息：";
		for(var i in channels) {
			var channel = channels[i];
			if(channel.id == 'qhpay' || channel.id == 'qihoo') { // 过滤掉不支持的支付通道：暂不支持360相关支付
				continue;
			}
			pays[channel.id] = channel;
			txt += "id:" + channel.id + ", ";
			txt += "description:" + channel.description + ", ";
			txt += "serviceReady:" + channel.serviceReady + "； ";
			var de = document.createElement('div');
			de.setAttribute('class', 'button');
			de.setAttribute('onclick', 'pay(this.id)');
			de.id = channel.id;
			de.innerText = channel.description + "支付";
			content.appendChild(de);
			checkServices(channel);
		}
	}, function(e) {
		console.log("获取支付通道失败：" + e.message);
	});
})

function GetEndTime(type) {
	var dd = new Date();
	if(window.localStorage["isVIP"] == "true") {
		var dt=window.localStorage["vipDeadLine"].replace(/-/g,"/");
		dd=new Date(dt);
	}
	var startday = formattime(dd);
	var nextyear = '';
	if(type == 12){
		nextyear = formattime(dd.setFullYear(dd.getFullYear() + 1));
		document.getElementById('TodayValue').innerText = startday;
		document.getElementById('NextYearValue').innerText = nextyear;
	}else if(type == 6){
		nextyear = formattime(dd.setMonth(dd.getMonth() + 6));
		document.getElementById('TodayValue').innerText = startday;
		document.getElementById('NextYearValue').innerText = nextyear;
	}else if(type == 1){
		nextyear = formattime(dd.setMonth(dd.getMonth() + 1));
		document.getElementById('TodayValue').innerText = startday;
		document.getElementById('NextYearValue').innerText = nextyear;
	}
	else{
		document.getElementById('TodayValue').innerText = "";
		document.getElementById('NextYearValue').innerText = "";
	}
}

function formattime(dd) {
	var dd = new Date(dd);
	var month = (parseInt(dd.getMonth()) + 1) < 10 ? '0' + (parseInt(dd.getMonth()) + 1) : (parseInt(dd.getMonth()) + 1);
	var day = dd.getDate() < 10 ? '0' + dd.getDate() : dd.getDate();
	return dd.getFullYear() + '-' + month + '-' + day;
}

function getDetail(){
	var surl = config.ServerUrl + "BidAssistant/OrderForm/Order_Data.ashx";

	var data = {
		Method: "BindGrid",
		UnitGuid:UnitGuid
	};
	mui.ajax(surl, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(response) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
//			console.log(JSON.stringify(response));
			if(response){
				document.getElementById("GoldCoinName").innerText=response.message[0].Content;
				if(response.message[0].Content.indexOf('一年')>=0){
					GetEndTime(12);
				}
				else if(response.message[0].Content.indexOf('半年')>=0){
					GetEndTime(6);
				}
				else{
					GetEndTime(1);
				}
				GoldCoinName=response.message[0].Content;
				document.getElementById("CoinMoney").innerText=response.message[0].Money;
				GoldCoinRechargeStart();
			} 
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log(errorThrown);
			mui.toast("充值列表读取失败！");
		}
	});
}

// 检测是否安装支付服务
function checkServices(pc) {
	if(!pc.serviceReady) {
		var txt = null;
		switch(pc.id) {
			case "alipay":
				txt = "检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
			default:
				txt = "系统未安装“" + pc.description + "”服务，无法完成支付，是否立即安装？";
				break;
		}
		plus.nativeUI.confirm(txt, function(e) {
			if(e.index == 0) {
				pc.installService();
			}
		}, pc.description);
	}
}

// 支付
function pay(id) {
	if(w) {
		return;
	} //检查是否请求订单中
	if(id === 'appleiap') {
		return;
	}
	var url = PAYSERVER;
	if(id == 'alipay' || id == 'wxpay') {
		url += id;
	} else {
		plus.nativeUI.alert("当前环境不支持此支付通道！", null, "付款");
		return;
	}
	url += '&subject=' + document.getElementById("GoldCoinName").innerText;
	var appid = plus.runtime.appid;
	if(navigator.userAgent.indexOf('StreamApp') >= 0) {
		appid = 'Stream';
	}
	url += '&appid=' + appid + '&total=';

	w = plus.nativeUI.showWaiting();
	// 请求支付订单
	var amount = document.getElementById('CoinMoney').innerText;
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {

		switch(xhr.readyState) {
			case 4:
				w.close();
				w = null;

				if(xhr.status == 200) {
					var order = xhr.responseText;
					plus.payment.request(pays[id], order, function(result) {
						console.log("----- 支付成功 -----");
						console.log(JSON.stringify(result));

						document.getElementById("RechargePayGuid").value = result.tradeno;
						GoldCoinRechargeEnd();

					}, function(e) {
						console.log("----- 支付失败 -----");
						console.log("[" + e.code + "]：" + e.message);
						if(e.code == -100) {
							plus.nativeUI.alert("订单取消", null, "订单取消");

						} else {
							plus.nativeUI.alert("支付失败，请稍候再试。", null, "支付失败：" + e.code);
						}

					});
				} else {
					console.log("----- 请求订单失败 -----");
					console.log(xhr.status);
					plus.nativeUI.alert("获取订单信息失败！", null, "充值");
				}
				break;
			default:
				break;
		}
	}
	xhr.open('GET', url + amount);
	console.log("请求支付订单：" + url + amount);
	xhr.send();
}

function GoldCoinRechargeStart() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinRechargeStart",
		RechargePrice: document.getElementById('CoinMoney').innerText,
		GoldCoin: document.getElementById("WinCoinNum").value
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				document.getElementById("RechargeGuid").value = data.message[0].UnitGuid;
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function GoldCoinRechargeEnd() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinRechargeEnd",
		GoldCoinName: GoldCoinName,
		IfVIP: document.getElementById("IfVIP").value,
		RechargeGuid: document.getElementById("RechargeGuid").value,
		RechargePayGuid: document.getElementById("RechargePayGuid").value
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			console.log(JSON.stringify(data.message));
			try {
					UpdateStatus();
					window.localStorage["isVIP"] = true;
					window.localStorage["vipDeadLine"] = data.message.split(';')[1];
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshvip", {});
					mui.fire(plus.webview.getWebviewById("html/geRenZhongXin/geRenZhongXin_main.html"), "refreshvip", {});
					mui.fire(plus.webview.getWebviewById("dingDanPage.html"), "refresh", {});
					plus.nativeUI.alert("支付成功：恭喜您成为VIP会员！感谢您的支持，我们会继续努力完善产品。", null, "支付成功");
					plus.webview.currentWebview().close();
			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});

}

function UpdateStatus(){
	var surl = config.ServerUrl + "BidAssistant/OrderForm/Order_Data.ashx";
	var data = {
		Method: "UpdateStatus",
		UnitGuid:UnitGuid
	};
	mui.ajax(surl, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(response) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			console.log(JSON.stringify(response));
			
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log(errorThrown);
			mui.toast("充值列表读取失败！");
		}
	});
}
