 mui.init({
	swipeBack: true //启用右滑关闭功能
});
mui.plusReady(function() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var self = plus.webview.currentWebview();
	var UnitGuid = self.UnitGuid;
//	alert(UnitGuid);
	var data = {
		Method: 'GetPrjByUnitGuid',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};
	Zepto("#Content").html("正在加载...");
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.success == "true") {
				var datejson = data.message[0].AddDate;
				var publishdate =datejson.replace('T',' ');
				Zepto("#Title").html(data.message[0].Title);
				Zepto("#publishPerson").html(data.message[0].UName);
				Zepto("#publishDate").html(publishdate);
				Zepto("#Content").html(data.message[0].InforContent);
			 		     
			 
			} else {
				mui.toast("获取失败!");
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			Zepto("#Content").html("超时，加载失败...");
		}
	});
	
	});
//刷新
mui.init({
	swipeBack: true,
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = false;
	page = 1;
	setTimeout(function() {
    mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
var hasMore = false;

function pullupRefresh() {
	setTimeout(function() {
		if(hasMore == true)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			document.getElementById("noMore").innerText = "没有更多数据了";
		}
	}, 1000);
}

