//日期选择
(function($) {
	$.init();
	InitFW();
	var lidates = $('.lidate');
	lidates.each(function(i, lidate) {

		lidate.addEventListener('tap', function() {
			var nowYear = new Date().getFullYear();
			var optionsJson = '{"type":"date","beginYear":' + 2012 + ',"endYear":' + (nowYear + 1) + '}';
			var options = JSON.parse(optionsJson);

			var idspan = "span_" + this.getAttribute('id');
			var idxz = "xz_" + this.getAttribute('id');
			/*
			 * 首次显示时实例化组件
			 * 示例为了简洁，将 options 放在了按钮的 dom 上
			 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
			 */
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {

				/*
				 * rs.value 拼合后的 value
				 * rs.text 拼合后的 text
				 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
				 * rs.m 月，用法同年
				 * rs.d 日，用法同年
				 * rs.h 时，用法同年
				 * rs.i 分（minutes 的第二个字母），用法同年
				 */
				//							var ids = id + 1;
				document.getElementById(idspan).innerText = rs.text;
				document.getElementById(idxz).style.display = "none";
				//							document.getElementById(id).className = "mui-btn";
				//							document.getElementById(ids).innerText = "";
				/* 
				 * 返回 false 可以阻止选择框的关闭
				 * return false;
				 */
				/*
				 * 释放组件资源，释放后将将不能再操作组件
				 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
				 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
				 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
				 */
				picker.dispose();
			});
		}, false);
	});

})(mui);
//打开页面
document.getElementById("submit2").addEventListener("tap", function() {

	var begindate = document.getElementById("span_btnbegindate").innerText;
	var enddate = document.getElementById("span_btnenddate").innerText;
	var minvalue = document.getElementById("minvalue").value;
	var maxvalue = document.getElementById("maxvalue").value;
	var Projecttype = document.getElementById("spangclb").innerText;
	var Property = document.getElementById("property").innerText;

	var zc = document.getElementById("span_zc").innerText;
	var zcType = document.getElementById("span_zcType").innerText;
	var zczy = document.getElementById("span_zczy").innerText;

	if(begindate == "" && enddate == "" && minvalue == "" && maxvalue == "" && Property == '' && Projecttype == '' && zc == "" && zcType == "" && zczy == "") {
		mui.toast("请选择查询条件");
		return;
	}

	if(begindate != "" && enddate != "" && enddate < begindate) {
		mui.toast("结束时间必须大于开始时间");
		return;
	}

	var msg = "";
	if(begindate != "") {
		msg += "开始时间:" + begindate + "；";
	}
	if(enddate != "") {
		msg += "结束时间:" + enddate + "；";
	}
	if(document.getElementById('stateResult').innerText.trim() != "") {
		msg += "金额范围:" + document.getElementById('stateResult').innerText + "；";
	}
	if(Property != '') {
		msg += "项目属性:" + Property + "；";
	}
	if(zc != '') {
		msg += "职称：" + zc + "；";
	}
	if(zcType != '') {
		msg += "注册类别：" + zcType + "；";
	}
	if(zczy != '') {
		msg += "注册专业：" + zczy + "；";
	}
	VisitInfo('建造师业绩查询', '按中标条件查询建造师业绩：' + msg);
	mui.openWindow({
		url: 'jianZaoShiNameListByBid.html',
		id: 'jianZaoShiNameListByBid.html',
		extras: {
			begindate: begindate,
			enddate: enddate,
			minvalue: minvalue,
			maxvalue: maxvalue,
			type: Projecttype == "" ? "" : Projecttype,
			Property: Property,
			zc: zc,
			zcType: zcType,
			zczy: zczy
		}

	})

})
document.getElementById("submit1").addEventListener("tap", function() {
	var PMName = document.getElementById("PMName").value.trim();
	if(PMName == "") {
		mui.toast("请输入姓名!");
		return;
	}
	VisitInfo('建造师业绩查询', '按姓名关键字查询建造师业绩：' + PMName);
	mui.openWindow({
		url: 'jianZaoShiNameList.html',
		id: 'jianZaoShiNameList.html',
		extras: {
			ProjectManagerName: PMName
		}
	})

})

//选择项目属性
var showUserPickerButton3 = document.getElementById('xmsx');
var userResult3 = document.getElementById('property');
showUserPickerButton3.addEventListener('tap', function(event) {
	var userPicker3 = new mui.PopPicker();
	userPicker3.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '场内',
		text: '场内'
	}, {
		value: '自行',
		text: '自行'
	}]);
	userPicker3.show(function(items) {
		userResult3.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult3.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton3.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton3.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//选择工程类别
var showUserPickerButton2 = document.getElementById('gclb');
var userResult2 = document.getElementById('spangclb');
showUserPickerButton2.addEventListener('tap', function(event) {
	var userPicker2 = new mui.PopPicker();
	userPicker2.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '单独立项装饰工程',
		text: '单独立项装饰工程'
	}, {
		value: '地铁工程',
		text: '地铁工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '国土项目',
		text: '国土项目'
	}, {
		value: '交通工程',
		text: '交通工程'
	}, {
		value: '市政工程',
		text: '市政工程'
	}, {
		value: '水利工程',
		text: '水利工程'
	}, {
		value: '园林绿化工程',
		text: '园林绿化工程'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
//	userPicker2.setData([{
//		value: '',
//		text: '请选择'
//	}, {
//		value: '房屋建筑工程',
//		text: '房屋建筑工程'
//	}, {
//		value: '装饰装修工程',
//		text: '装饰装修工程'
//	}, {
//		value: '安装工程',
//		text: '安装工程'
//	}, {
//		value: '市政公用工程',
//		text: '市政公用工程'
//	}, {
//		value: '园林绿化古建筑工程',
//		text: '园林绿化古建筑工程'
//	}, {
//		value: '市政养护工程',
//		text: '市政养护工程'
//	}, {
//		value: '水利水电工程',
//		text: '水利水电工程'
//	}, {
//		value: '电力工程',
//		text: '电力工程'
//	}, {
//		value: '雨污水改造',
//		text: '雨污水改造'
//	}, {
//		value: '其他工程',
//		text: '其他工程'
//	}]);
	userPicker2.show(function(items) {
		userResult2.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult2.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton2.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton2.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: 1000,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
				}
			} catch(e) {
				console.log(e.message)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function InitFW() {

	var statePicker = new mui.PopPicker();
	statePicker.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '10',
		text: '1000万以下'
	}, {
		value: '20',
		text: '1000万-5000万'
	}, {
		value: '30',
		text: '5000万-20000万'
	}, {
		value: '40',
		text: '20000万以上'
	}]);
	var showStatePickerButton = document.getElementById('showStatePicker');
	var stateResult = document.getElementById('stateResult');
	var minvalue = document.getElementById('minvalue');
	var maxvalue = document.getElementById('maxvalue');
	showStatePickerButton.addEventListener('tap', function(event) {
		statePicker.show(function(items) {
			if(items[0].value != "") {
				stateResult.innerText = items[0].text;
				if(items[0].value == "10") {
					maxvalue.value = "1000";
				}
				if(items[0].value == "20") {
					minvalue.value = "1000";
					maxvalue.value = "5000";
				}
				if(items[0].value == "30") {
					minvalue.value = "5000";
					maxvalue.value = "20000";
				}
				if(items[0].value == "40") {
					minvalue.value = "20000";
				}
				document.getElementById("xzje").style.display = "none";
			} else {
				stateResult.innerText = "";
				minvalue.value = "";
				maxvalue.value = "";
				document.getElementById("xzje").style.display = "block";
			}
		});
	});
}

var showZCList = document.getElementById("zc");
var span_zc = document.getElementById("span_zc");
showZCList.addEventListener("tap", function() {
	var userPicker = new mui.PopPicker();
	userPicker.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '高级工程师',
		text: '高级工程师'
	}, {
		value: '工程师',
		text: '工程师'
	}, {
		value: '助理工程师',
		text: '助理工程师'
	}]);
	if(span_zc.innerText != '') {
		userPicker.pickers[0].setSelectedValue(span_zc.innerText);
	}
	userPicker.show(function(items) {
		span_zc.innerText = items[0].text == "请选择" ? "" : items[0].text;
		span_zc.lang = items[0].value;
		if(items[0].text != "请选择") {
			showZCList.querySelector('.fr').innerText = '';
		} else {
			showZCList.querySelector('.fr').innerText = '请选择';
		}
	});
});

document.getElementById("zclb").addEventListener("tap", function() {
	var data = [{
		value: '',
		text: '请选择'
	}, {
		value: '一级注册建造师',
		text: '一级注册建造师'
	}, {
		value: '二级注册建造师',
		text: '二级注册建造师'
	}, {
		value: '项目经理证',
		text: '项目经理证'
	}];
	initpicker(document.getElementById("span_zcType"), document.getElementById("zclb"), data, function(value) {
		document.getElementById("span_zczy").innerText = "";
		document.getElementById("xz_zczy").innerText = "请选择";
	})
});

document.getElementById("zczy").addEventListener("tap", function() {
	var jzsjb = document.getElementById("span_zcType").innerText;
	console.log(jzsjb);
	var data = [{
		value: '',
		text: '请选择'
	}];
	if(jzsjb == "一级建造师") {
		data = [{
			value: '',
			text: '请选择'
		}, {
			value: '建筑工程',
			text: '建筑工程'
		}, {
			value: '公路工程',
			text: '公路工程'
		}, {
			value: '铁路工程',
			text: '铁路工程'
		}, {
			value: '民航机场工程',
			text: '民航机场工程'
		}, {
			value: '港口与航道工程',
			text: '港口与航道工程'
		}, {
			value: '水利水电工程',
			text: '水利水电工程'
		}, {
			value: '市政公用工程',
			text: '市政公用工程'
		}, {
			value: '通信与广电工程',
			text: '通信与广电工程'
		}, {
			value: '矿业工程',
			text: '矿业工程'
		}, {
			value: '机电工程',
			text: '机电工程'
		}];
	} else if(jzsjb == "二级建造师") {
		data = [{
			value: '',
			text: '请选择'
		}, {
			value: '建筑工程',
			text: '建筑工程'
		}, {
			value: '公路工程',
			text: '公路工程'
		}, {
			value: '水利水电工程',
			text: '水利水电工程'
		}, {
			value: '矿业工程',
			text: '矿业工程'
		}, {
			value: '市政公用工程',
			text: '市政公用工程'
		}, {
			value: '机电工程',
			text: '机电工程'
		}];
	} else {
		data = [{
			value: '',
			text: '请选择'
		}, {
			value: '建筑工程',
			text: '建筑工程'
		}, {
			value: '公路工程',
			text: '公路工程'
		}, {
			value: '铁路工程',
			text: '铁路工程'
		}, {
			value: '民航机场工程',
			text: '民航机场工程'
		}, {
			value: '港口与航道工程',
			text: '港口与航道工程'
		}, {
			value: '水利水电工程',
			text: '水利水电工程'
		}, {
			value: '市政公用工程',
			text: '市政公用工程'
		}, {
			value: '通信与广电工程',
			text: '通信与广电工程'
		}, {
			value: '矿业工程',
			text: '矿业工程'
		}, {
			value: '机电工程',
			text: '机电工程'
		}]
	}
	initpicker(document.getElementById("span_zczy"), this, data)
});

function initpicker(s, list, data, callback) {
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	if(s.innerText != '') {
		userPicker.pickers[0].setSelectedValue(s.innerText);
	}
	userPicker.show(function(items) {
		s.innerText = items[0].text == "请选择" ? "" : items[0].text;
		s.lang = items[0].value;
		if(items[0].text != "请选择") {
			list.querySelector('.fr').innerText = '';
		} else {
			list.querySelector('.fr').innerText = '请选择';
		}
		if(callback) {
			callback(s.innerText);
		}
	});
}

document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById("stateResult").innerText = "";
	document.getElementById("span_btnbegindate").innerText = "";
	document.getElementById("span_btnenddate").innerText = "";
	document.getElementById("minvalue").value = "";
	document.getElementById("maxvalue").value = "";
	document.getElementById("spangclb").innerText = "";
	document.getElementById("spangclb").lang = "";
	document.getElementById("xzgclb").innerText = "请选择";
	document.getElementById("xz_btnbegindate").style.display = "block";
	document.getElementById("xz_btnenddate").style.display = "block";
	document.getElementById("xzje").style.display = "block";
	document.getElementById("property").innerText = '';
	document.getElementById("property1").innerText = '请选择';

	document.getElementById("span_zc").innerText = "";
	document.getElementById("xz_zc").innerText = "请选择";
	document.getElementById("span_zcType").innerText = "";
	document.getElementById("xz_zcType").innerText = "请选择";
	document.getElementById("span_zczy").innerText = "";
	document.getElementById("xz_zczy").innerText = "请选择";
})