mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			height: 5, //可选,默认50.触发下拉刷新拖动距离,
			auto: false, //可选,默认false.首次加载自动下拉刷新一次
			contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldownRefresh
		}
	}
});
var UnitGuid = "";
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	UnitGuid = self.UnitGuid;
	GetBidInfo();
	//	console.log("ss:"+UnitGuid);
})

function pulldownRefresh() {
	GetBidInfo();
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
}

function GetBidInfo() {

	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var ulcontent = Zepto("#ulList");
	ulcontent.empty();
	var data = {
		Method: 'GetBidInfo',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {

			if(data.success == "true" && data.message != "nodata") {

				for(var i = 0; i < data.message.length; i++) {
					var li = document.createElement('li');
					li.className = "mui-table-view-cell";
					li.id = data.message[i].UnitGuid;
					li.innerHTML = '<span class="spanTitle">' + data.message[i].CompanyName + '</span>' +
						'<span class="spantxt">报价 : ' + data.message[i].QuotedPrice + '元</span>';
					ulcontent.append(li);
				}

			} else {
				var li = document.createElement('li');
				li.className = "mui-table-view-cell";
				li.innerHTML = "<div class='t_c'>暂无数据</div>";
				Zepto("#ulList").append(li);
			}
		},
		error: function(xhr, type, errorThrown) {

			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});
}