/**
 * 时间：2016-05-04 
 * 描述： 登录页
 * modify by liangtao
 */
var hasValue = false;
var wgtVer = '';
(function(win) {

	mui.init({
		swipeBack: false
	});
	mui.plusReady(function() {
		//注销进入首页之后关闭所有页面
		var curr = plus.webview.currentWebview();
		var wvs = plus.webview.all();
		for(var i = 0; i < wvs.length; i++) {
			if(wvs[i].getURL() == curr.getURL()) {
				continue;
			}
			plus.webview.hide(wvs[i]);
			plus.webview.close(wvs[i]);
		}
		plus.nativeUI.closeWaiting();

		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			wgtVer = inf.version;
			if(window.localStorage["skipLogin"] == "yes" && document.getElementById('txtusername').value.trim() != '' && document.getElementById('txtpassword').value.trim() != '') {
				getIsFree(1); //判断版本是否在appstore审核中免费、是否需要强制更新。参数表示是否自动登录。
			} else {
				getIsFree(0);
			}
		});

		if(window.localStorage["skipLogin"] == "no")
			window.localStorage["ifremember"] = "no";

		//登录
		document.getElementById("btn_Login").addEventListener("tap", function(event) {
			document.activeElement.blur();
			btnLogin();
		})
		//登录方法
		function btnLogin() {
			var accountBox = document.getElementById('txtusername');
			var passwordBox = document.getElementById('txtpassword');
			var loginButton = document.getElementById("btn_Login");
			var md5password = "";
			if(getpassword != passwordBox.value) {
				md5password = md5(accountBox.value + "|" + passwordBox.value);
			} else {
				md5password = getpassword; //已加密
			}
			app.createUser("", "", ""); //清空登录名、用户名、密码
			app.createState(null); //清空token

			document.activeElement.blur();
			var loginInfo = {
				account: accountBox.value,
				password: md5password
			};

			plus.nativeUI.showWaiting("正在登录..."); //加载等待动画

			login(loginInfo, false, function(err, type) { //调用登录方法  
				plus.nativeUI.closeWaiting(); //关闭等待动画
				if(err && err != '') {
					plus.nativeUI.toast(err, { //显示自动消失的对话框
						align: "center"
					});
					return;
				}

				toMain(type); //打开首页,type用户类型
			});
		}

		app.setRemoteURL(); //清空缓存接口链接字符串
		app.setRemoteURL2(); //清空缓存接口链接字符串

		plus.screen.lockOrientation("portrait-primary"); //锁定屏幕方向--竖屏正方向
		var storage = window.localStorage;
		var getusername = "";
		if(app.getUser().LoginName != undefined && app.getUser().LoginName != "") { //如果用户名有缓存，则使用缓存用户名
			getusername = app.getUser().LoginName;
			document.getElementById("txtusername").value = getusername;
		} else {
			storage["ifremember"] = "no";
		}
		var getpassword = app.getUser().md5password;
		var getifremember = storage["ifremember"]; //缓存是否记住密码
		document.getElementById("IfRemenber").addEventListener("change", function(event) {
			if(this.checked) {
				storage["ifremember"] = "yes";
				storage["skipLogin"] = "yes";
			} else {
				storage["ifremember"] = "no";
				storage["skipLogin"] = "no";
			}
		})

		if(getifremember == "yes") {
			document.getElementById("IfRemenber").checked = true;
			if((("" != getusername) || (null != getusername) || (undefined != getusername)) && (("" != getpassword) || (null != getpassword) || (undefined != getpassword))) {
				document.getElementById("txtpassword").value = getpassword;
			}
		} else {
			document.getElementById("IfRemenber").checked = false;
			document.getElementById("txtpassword").value = "";
		}

		//打开首页
		var toMain = function(type) {
			document.getElementById('Usertype').value = type == undefined ? "" : type;
			IfVIP();
		}

		//判断用户是否为VIP用户 ，并返回火币数量
		function IfVIP() {
			var url = config.ServerUrl + "BidAssistant/HR/HR_Data.ashx";
			var data = {
				token: app.getState().token,
				device_id: plus.device.uuid,
				MachineCode: plus.device.uuid,
				Method: "IsVIP"
			};
			mui.ajax(url, {
				data: data,
				dataType: "json",
				type: 'post', //HTTP请求类型
				timeout: 20000, //超时时间设置为10秒；
				success: function(data) {
					if(data) {
						window.localStorage["coinnum"] = data.gold;
						console.log("isVIP:"+data.message);
						if(data.message == "no") {
							//非VIP
							window.localStorage["isVIP"] = false;
						} else if(data.message.indexOf("ok") >= 0) {
							var str = data.message.split(';')[1];

							var date = new Date(str);
							var year = date.getFullYear();
							var month = date.getMonth() + 1;
							var day = date.getDate();
							var vipDeadLine = year + '-' + formattime(month) + '-' + formattime(day);
							//VIP
							window.localStorage["isVIP"] = true;
							window.localStorage["vipDeadLine"] = vipDeadLine;
						}
						if(data.isfreeperiod == "ok") {
							//在免费期内
							localStorage["isHuoDong"] = true;
						} else {
							//不在免费期内
							localStorage["isHuoDong"] = false;
						}
						var tourl = config.Url;
						var toid = config.Url;
						var datatype = {
							type: document.getElementById('Usertype').value
						};
						openwindow(tourl, toid, datatype, '100%', '100%');

					}

				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					if(type == "timeout") {
						mui.toast("网络繁忙！");
						return;
					}
					console.log("错误代码：" + xhr.status)
					console.log("服务器返回内容：" + xhr.responseText);
					mui.toast("读取失败！");
				}
			});

		}

		function formattime(dd) {
			dd = dd < 10 ? '0' + dd : dd;
			return dd;
		}

		//首页返回键处理
		//处理逻辑：5秒内，连续两次按返回键，则进入后台；
		var first = null;
		mui.back = function() {
			//首次按键，提示‘再按一次退出应用’
			if(!first) {
				first = new Date().getTime();
				mui.toast('再按一次退出应用');
				setTimeout(function() {
					first = null;
				}, 5000);
			} else {
				if(new Date().getTime() - first < 5000) {
					var main = plus.android.runtimeMainActivity();
					main.moveTaskToBack(false);
				}
			}
		};
		//判断版本是否免费
		function getIsFree(isautologin) {
			plus.nativeUI.showWaiting("配置检查中");
			var data = {
				Method: "GetIsFree",
				version: wgtVer,
				device_id: plus.device.uuid
			};
			var url = config.ServerUrl + "AppService/App_Data.ashx";
			console.log(url);
			mui.ajax(url, {
				data: data,
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					plus.nativeUI.closeWaiting();
					if(data != null) {
						if(data.isfree == 'true') {
							window.localStorage["isFree"] = true;
						} else {
							window.localStorage["isFree"] = false;
//							document.getElementById("ZC").style.display = "";
						}
						hasValue = true;
						if(data.isforceversion == "true") {
							mui.openWindow({
								url: 'Banbengengxin.html',
								id: 'Banbengengxin.html',
								extras: {
									androidpath: data.androidpath,
									iospath: data.iospath
								}
							})
						} else if(isautologin == "1") {
							btnLogin();
						}
					} else {
						localStorage["isFree"] = 'false';
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					localStorage["isFree"] = 'false';
					mui.toast('网络错误，请重试');
					console.log("错误代码：" + xhr.status)
					console.log("服务器返回内容：" + xhr.responseText);
				}
			});
		}
	});

	/**
	 * 用户登录
	 **/
	function login(loginInfo, refreshdata, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if(loginInfo.account.length < 1) {
			return callback('账号不能为空');
		}
		if(loginInfo.password.length < 1) {
			return callback('密码不能为空');
		}

		var url = app.getInterfaceUrlSSL('XD.Login/token.ashx', 'get_token');

		//封装，传入接口名和方法名称
		var os = "";
		var CID = '';
		CID = plus.push.getClientInfo().clientid;
		if(mui.os.ios || mui.os.ipad || mui.os.iphone)
			os = "IOS";
		if(mui.os.android)
			os = "Android";
		var CityCode = localStorage["CityCode"];
//		console.log(CityCode);
//		console.log(localStorage["city"] );
		var data = {
			LoginName: loginInfo.account,
			MobileID: CID,
			OS: os,
			MD5_Password: loginInfo.password,
			DeviceID: plus.device.uuid,
			CityCode: CityCode
		};
		data = JSON.stringify(data);
//		console.log(data);
		mui.ajax(url, {
			data: data,
			dataType: "json",
			type: 'post', //HTTP请求类型
			timeout: 15000, //超时时间设置为15秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				window.localStorage["TenantID"] = data.TenantID;
				authuser = data;
				if(authuser.errmsg == "" || authuser.errmsg == null) { //正常返回
					if(refreshdata) { //是否清理缓存
						localStorage.clear();
					}
					app.createUser(authuser.uguid, loginInfo.account, authuser.uname, loginInfo.password, authuser.TenantID);
					app.createState(authuser.token); //缓存token
					localStorage["dname"] = loginInfo.account;
					localStorage["username"] = authuser.uname;
					return callback('', authuser.type); //authuser.type 用户类型
				} else {
					return callback('用户名或密码错误');
				}

			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				if(type == "timeout") {
					callback('网络繁忙', -1);
					return;
				}
				console.log("错误代码：" + xhr.status)
				console.log("服务器返回内容：" + xhr.responseText);
				callback('登陆失败', -1);
			}
		});
	};
})(window);

function emptypass() {
	document.getElementById('txtpassword').value = "";
}

//打开页面
document.getElementById("ZC").addEventListener("tap", function() {
	mui.openWindow({
		url: 'zhuCePage.html',
		id: 'zhuCePage.html'
	})
})

document.getElementById("Fg").addEventListener('tap', function() {
	mui.openWindow({
		url: 'wangJiMiMaPage.html',
		id: 'wangJiMiMaPage.html'
	})
})