mui.plusReady(function() {
	GetZhunQueLv('3个月','a1');
	mui('.mui-slider').slider().setStopped(true);
})
mui('.mui-slider').on('tap', 'a', function() {
	var id = this.id;
	if(id == 'a2') {
		GetZhunQueLv('半年', id);
	} else if(id == 'a3')
		GetZhunQueLv('9个月', id);
	else if(id == 'a4')
		GetZhunQueLv('一年', id);
	else
		GetZhunQueLv('3个月', id);
});

//工程类型选择
var showUserPickerButton1 = document.getElementById('gclx');
var userResult1 = document.getElementById('spangclx');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '装饰装修工程',
		text: '装饰装修工程'
	}, {
		value: '安装工程',
		text: '安装工程'
	}, {
		value: '市政公用工程',
		text: '市政公用工程'
	}, {
		value: '园林绿化古建筑工程',
		text: '园林绿化古建筑工程'
	}, {
		value: '市政养护工程',
		text: '市政养护工程'
	}, {
		value: '水利水电工程',
		text: '水利水电工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '雨污水改造',
		text: '雨污水改造'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker1.show(function(items) {
		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton1.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.fr').innerText = '请选择';
		}
	});

}, false);
document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById('spangclx').lang = "";
	document.getElementById('spangclx').innerText = "";
	document.getElementById('gclx').querySelector('.fr').innerText = '请选择';
})

//获取准确率
function GetZhunQueLv(dateperiod, id) {
	VisitInfo('企业投标准确率查询', '查询企业投标准确率排名');
		plus.nativeUI.showWaiting("等待中...");
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GetZhunQueLv",
		ProjectType: document.getElementById('spangclx').lang,
		DatePeriod: dateperiod
	}
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 30000, //超时时间设置为10秒；
		success: function(response) {
			try {
				if(response.success == true) {
					Zepto('#ulList_' + id).html("");
					var dvcontent = Zepto('#ulList_' + id);
					if(response.message.length > 0) {
						var html = '';
						var zql=0;
						for(var i=0; i<response.message.length; i++){
							html += '<li><span class="comTitle">'+response.message[i].CompanyName+'</span>';
							html += '<p class="p_num">';
							html += '<span class="pm fl">名次：'+(i+1)+'</span>';
							zql = response.message[i].ZhunQueLv;
							zql = (zql*100).toFixed(2);
							html += '<span class="zql fr">准确率：'+zql+'%</span>';
							html += '</p></li>';
						}
						dvcontent.html(html);
					}
				}
			} catch(e) {
				plus.nativeUI.closeWaiting();
				console.log(e.message)
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			plus.nativeUI.closeWaiting();
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");

		}
	});

}