mui.init();

mui.plusReady(function() {

})

//选择金额范围
var showUserPickerButton1 = document.getElementById('jefw');
var userResult1 = document.getElementById('spanjefw');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '10',
		text: '1000万以下'
	}, {
		value: '20',
		text: '1000万-5000万'
	}, {
		value: '30',
		text: '5000万-20000万'
	}, {
		value: '40',
		text: '20000万以上'
	}]);
	userPicker1.show(function(items) {
		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton1.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//选择工程类别
var showUserPickerButton2 = document.getElementById('gclb');
var userResult2 = document.getElementById('spangclb');
showUserPickerButton2.addEventListener('tap', function(event) {
	var userPicker2 = new mui.PopPicker();
	userPicker2.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '单独立项装饰工程',
		text: '单独立项装饰工程'
	}, {
		value: '地铁工程',
		text: '地铁工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '国土项目',
		text: '国土项目'
	}, {
		value: '交通工程',
		text: '交通工程'
	}, {
		value: '市政工程',
		text: '市政工程'
	}, {
		value: '水利工程',
		text: '水利工程'
	}, {
		value: '园林绿化工程',
		text: '园林绿化工程'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker2.show(function(items) {
		userResult2.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult2.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton2.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton2.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//日期选择
var lidates = mui('.lidate');
lidates.each(function(i, lidate) {
	lidate.addEventListener('tap', function() {
		var nowYear=new Date().getFullYear();
        var optionsJson='{"type":"date","beginYear":'+2012+',"endYear":'+(nowYear+1)+'}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('name');
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			var ids = id + 1;
			document.getElementById(id).innerText = rs.text;
			document.getElementById(id).className = "mui-btn";
			document.getElementById(ids).innerText = "";
			picker.dispose();
		});
	}, false);
});

//选择项目属性
var showUserPickerButton3 = document.getElementById('xmsx');
var userResult3 = document.getElementById('property');
showUserPickerButton3.addEventListener('tap', function(event) {
	var userPicker3 = new mui.PopPicker();
	userPicker3.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '场内',
		text: '场内'
	}, {
		value: '自行',
		text: '自行'
	}]);
	userPicker3.show(function(items) {
		userResult3.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult3.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton3.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton3.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);


//按名称查询
document.getElementById("submit1").addEventListener("tap", function() {
	var name = document.getElementById("searchName").value;
	if(name == "") {
		mui.toast("请输入单位名称");
		return;
	}
	VisitInfo('企业业绩查询', '按单位名称查询企业业绩：' + name);
	mui.openWindow({
		url: 'qiyeyejifree_main.html',
		id: 'qiyeyejifree_main.html',
		extras: {
			method: 'getListByName',
			CompanyName: name
		}
	})
})
document.getElementById("submit").addEventListener("tap", function() {
	var minMoney = '';
	var maxMoney = '';
	var value = document.getElementById("spanjefw").innerText;
	if(value == '1000万以下')
		maxMoney = 1000;
	else if(value == '1000万-5000万') {
		minMoney = 1000;
		maxMoney = 5000;
	} else if(value == '5000万-20000万') {
		minMoney = 5000;
		maxMoney = 20000;
	} else if(value == '20000万以上')
		minMoney = 20000;
	var time1 = document.getElementById("spanfromdatetime").innerText;
	var time2 = document.getElementById("spantodatetime").innerText;
	var Projecttype = document.getElementById("spangclb").innerText;
	var Property=document.getElementById("property").innerText;
	if(time1 == '' && time2 == '' && Projecttype == '' && value == ''&&Property=='') {
		mui.toast("请选择查询条件");
		return;
	}

	var msg = "";
	if(value != "") {
		msg += "金额范围：" + value + "；";

	}
	if(Projecttype != "") {
		msg += "工程类别：" + Projecttype + "；";

	}
	if(time1 != "") {
		msg += "开始时间：" + time1 + "；";

	}
	if(time2 != "") {
		msg += "结束时间：" + time2 + "；";

	}
	if(Property!=''){
		msg+="项目属性："+Property+";";
	}
	VisitInfo('企业业绩查询', '按中标情况查询企业业绩：' + msg);
	mui.openWindow({
		url: 'qiyeyeji_main.html',
		id: 'qiyeyeji_main.html',
		extras: {
			method: 'getListByOther',
			stime: time1,
			etime: time2,
			minMoney: minMoney,
			maxMoney: maxMoney,
			type: Projecttype == "" ? "" : Projecttype,
			Property:Property
		}
	})
})

document.getElementById('cleardv').addEventListener('tap', function() {
	document.getElementById("spanfromdatetime").innerText = "";
	document.getElementById("spantodatetime").innerText = "";
	document.getElementById("spangclb").innerText = "";
	document.getElementById("spangclb").lang = "";
	document.getElementById("spanjefw").innerText = "";
	document.getElementById("spanjefw").lang = "";
	document.getElementById("property").innerText='';
	mui(".fr").each(function() {
		this.innerText = '请选择';
	});
})