mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.ulList');
var self;
var Property = '场内';
var minvalue = '',
	maxvalue = '',
	mindate = '',
	maxdate = '';
mui.plusReady(function() {
	self = plus.webview.currentWebview().parent();
	if(self.minvalue != undefined && self.maxvalue != null) {
		minvalue = self.minvalue;
		maxvalue = self.maxvalue;
		mindate = self.mindate;
		maxdate = self.maxdate;
	}

	table.innerHTML = "";
	drawHtmlByName(1, 15, self.unitId);
})

document.getElementById("btn1").addEventListener('tap', function() {
	table.innerHTML = "";
	Property = '场内';
	drawHtmlByName(1, 15, self.unitId);
})
document.getElementById("btn2").addEventListener('tap', function() {
	table.innerHTML = "";
	Property = '自行';
	drawHtmlByName(1, 15, self.unitId);
})
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";
		drawHtmlByName(1, 15, self.unitId);

		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	if(hasMore == true) {
		drawHtmlByName(++page, 15, self.unitId);
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
	} else {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh();
		//		document.getElementById("noMore").innerText = "没有更多数据了";
	}
}

//根据公司名称获取业绩
function drawHtmlByName(index, size, keyword) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetPerformanceByCompany',
		CompanyGuid: keyword,
		PageIndex: index,
		PageSize: size,
		Property: Property,
		minvalue: minvalue,
		maxvalue: maxvalue,
		mindate: mindate,
		maxdate: maxdate
	};
	console.log(config.ServerUrl);
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			//			console.log(JSON.stringify(response));
			console.log(response.RecordTotalNum);
			//			var n1 = response.RecordTotalNum;
			//			var max = 0;
			//			if(n1 % size == 0)
			//				max = n1 / size;
			//			else
			//				max = n1 / size + 1;
			//			
			//			if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据
			//				hasMore = false;
			//				document.getElementById("noMore").innerText = "没有更多数据了";
			//
			//			} else {
			//				hasMore = true;
			//			}
			console.log(response.message.length);
			for(var i = 0; i < response.message.length; i++) {
				var li = '<li id="' + response.message[i].UnitGuid + '">';
				li += '<span class="liName">' + response.message[i].ProjectName + '</span>';
				li += '<span class="liCName">建设单位：' + response.message[i].JianSheDanWei + '</span>';
				li += '<span class="ProjectManager">项目经理：' + response.message[i].ProjectManagerName + '</span>';
				if(Property == '场内') {
					li += '<span class="ProjectManager">工程状态：' + (response.message[i].ProjectStatus == undefined ? '' : response.message[i].ProjectStatus) + '</span>';
				}
				li += '<span class="fl">中标金额: ' + response.message[i].BidMoney + '万元</span>';
				li += '<span class="fr">中标时间: ' + new Date(response.message[i].WinBidDate).Format('yyyy-MM-dd') + '</span></li>';
				//				console.log(response.message[i].ProjectName+",中标时间:"+response.message[i].WinBidDate);
				table.innerHTML += li;
			}
			var totalnum = Number(response.RecordTotalNum);
			var nownum = Number(index) * Number(size);
			console.log(nownum + ";" + totalnum);
			if(nownum >= totalnum) {
				//				Zepto("#showMore").hide();
				document.getElementById("noMore").innerHTML = "没有更多数据了";
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				hasMore = false;
			} else {
				//				Zepto("#showMore").show();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}