mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh,
			contentdown: ''
		}
	}
});

var page = 1;
var hasMore = true;
var table = document.body.querySelector('.mui-table-view');
var self;
var method;
var coin = '',
	startdate = '',
	enddate = '';
var minvalue = '',
	maxvalue = '',
	mindate = '',
	maxdate = '';
var jyxq = '',
	gclx = '',
	zsfs = '',
	pbbf = '',
	jsff = '';
var isFree = false;
var isVIP = false;
mui.plusReady(function() {
	self = plus.webview.currentWebview().parent();
	method = self.method;
	minvalue = self.minMoney;
	maxvalue = self.maxMoney;
	mindate = self.stime;
	maxdate = self.etime;

	table.innerHTML = "";

	drawHtmlByOthers(1, 15);

})

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	hasMore = true;
	page = 1;
	setTimeout(function() {
		table.innerHTML = "";

		drawHtmlByOthers(1, 15);

		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		document.getElementById("noMore").innerText = "上拉显示更多";
	}, 500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(hasMore == true)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			document.getElementById("noMore").innerText = "没有更多数据了";
		}

		drawHtmlByOthers(++page, 15);

	}, 500);
}

//根据多条件获取列表
function drawHtmlByOthers(index, size) {
	plus.nativeUI.showWaiting("等待中...");
	var cells = document.body.querySelectorAll('.mui-table-view-cell');
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetComPanyByBid',
		mindata: mindate,
		maxdata: maxdate,
		min: minvalue,
		max: maxvalue,
		ProjectType: self.type,
		PageIndex: index,
		PageSize: size,
		Property: self.Property
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(response) {
			//			console.log(response.message);
			if(response.message != 'nodata') {
				mui.fire(plus.webview.currentWebview().opener(), 'GetTotalNum', {
					totalnum: response.RecordTotalNum
				});
				var n1 = response.RecordTotalNum;
				var max = 0;
				if(n1 % size == 0)
					max = n1 / size;
				else
					max = n1 / size + 1;
				if(((index + 1) > max) || (n1 / size == 0)) { //判断有没有更多数据

					hasMore = false;
					document.getElementById("noMore").innerText = "没有更多数据了";
					mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				} else {
					hasMore = true;
					mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				}

				for(var i = 0; i < response.message.length; i++) {
					var li = '<li class="mui-table-view-cell" id="' + response.message[i].CompanyGuid + '">';
					li += '<a class="mui-navigate-right mui-slider-handle">';
					li += '<span class="liTitle">' + response.message[i].CompanyName + '</span>';
					li += '</a></li>';
					table.innerHTML += li;
				}
			} else {
				document.getElementById("noMore").innerText = "没有更多数据了";
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误1");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

/*
 * 打开详情页面
 */
mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
	document.getElementById("unitId").value = this.getAttribute("id");
	getAllModuleParam();
})

function formattime(value) {
	return value < 10 ? ('0' + value) : value;
}

//获取当前模块费用配置信息
function getAllModuleParam() {
	plus.nativeUI.showWaiting();
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '业绩查询',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				//				for(var j = 0; j < data.message.length; j++) {
				//					if(data.message[j].ParaName == '企业业绩查询') {
				//						var content = JSON.parse(data.message[j].ParaContent);
				//						coin = content.Money;
				//						startdate = content.FreeStartDate;
				//						enddate = content.FreeEndDate;
				//					}
				//				}
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					isVIP = eval(data.message.isVIP);
				}
				console.log(isVIP + ";" + data.message.isVIP);
				if(coin == '') coin = 10;
				var nowdate = new Date(new Date().getFullYear() + '-' + formattime(new Date().getMonth() + 1) + '-' + formattime(new Date().getDate()));
				var condition = '1==1';
				if(startdate != '') {
					condition += '&&startdate<=nowdate';
					startdate = new Date(startdate);
				}
				if(enddate != '') {
					condition += '&&nowdate<=enddate';
					enddate = new Date(enddate);
				}
				if((condition != '1==1' && eval(condition)) || coin == 0) {
					isFree = true;
				}
				console.log("isFree:" + isFree);
				plus.nativeUI.closeWaiting();
				if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true") {
					mui.openWindow({
						url: 'chaXunJieGuo_main.html',
						id: 'chaXunJieGuo_main.html',
						styles: {
							width: '100%',
							height: '100%'
						}, //窗口参数
						show: {
							autoShow: true,
							aniShow: 'pop-in'
						},
						waiting: {
							autoShow: true,
							title: "正在加载..."
						},
						extras: {
							unitId: document.getElementById("unitId").value,
							minvalue: minvalue,
							maxvalue: maxvalue,
							mindate: mindate,
							maxdate: maxdate
						}
					});
					return;
				}
				if(parseInt(localStorage["coinnum"]) - coin <= 0) {
					mui.toast("火币余额不足，请充值");
					mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
					return;
				}
				var bts = ["确定", "取消"];
				plus.nativeUI.confirm("查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
					if(bts[e.index] == "确定") {
						GoldCoinConsumer("按中标条件查询企业业绩");
						mui.openWindow({
							url: 'chaXunJieGuo_main.html',
							id: 'chaXunJieGuo_main.html',
							styles: {
								width: '100%',
								height: '100%'
							}, //窗口参数
							show: {
								autoShow: true,
								aniShow: 'pop-in'
							},
							waiting: {
								autoShow: true,
								title: "正在加载..."
							},
							extras: {
								unitId: document.getElementById("unitId").value,
								minvalue: minvalue,
								maxvalue: maxvalue,
								mindate: mindate,
								maxdate: maxdate
							}
						});
					}
				}, "提示", bts);
			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: coin,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}