mui.init();
var coin = 0;
var startdate = '',
	enddate = '';
var isFree = false; //判断是否处于免费查询时间段
var qujian = '',
	tiaojian = '';
var isVIP = false;
mui.plusReady(function() {
	getAllModuleParam();
})

//获取所有模块费用配置信息
function getAllModuleParam() {
	plus.nativeUI.showWaiting('获取配置中...');
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		ModelName: '单位家数预测',
		AreaName: localStorage["city"],
		Method: "GetAllModuleParam"
	};
	var url = config.ServerUrl + "BidAssistant/GoldCoin/GoldCoin_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				//				for(var j = 0; j < data.message.length; j++) {
				//					if(data.message[j].ParaName == '投标单位家数预测') {
				//						var content = JSON.parse(data.message[j].ParaContent);
				//						coin = content.Money;
				//						startdate = content.FreeStartDate;
				//						enddate = content.FreeEndDate;
				//					}
				//				}
				if(data.message.ParaContent) {
					var content = JSON.parse(data.message.ParaContent);
					coin = content.Money;
					startdate = content.FreeStartDate;
					enddate = content.FreeEndDate;
				}
				if(data.message.isVIP) {
					isVIP = eval(data.message.isVIP);
				}
				if(coin == "") coin = 100;
				var nowdate = new Date(new Date().getFullYear() + '-' + formattime(new Date().getMonth() + 1) + '-' + formattime(new Date().getDate()));
				var condition = '1==1';
				if(startdate != '') {
					condition += '&&startdate<=nowdate';
					startdate = new Date(startdate);
				}
				if(enddate != '') {
					condition += '&&nowdate<=enddate';
					enddate = new Date(enddate);
				}
				if((condition != '1==1' && eval(condition)) || coin == 0) {
					isFree = true;
				}
				plus.nativeUI.closeWaiting();
				GetBidCountYuCe();
			}
			plus.nativeUI.closeWaiting();

		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function formattime(value) {
	return value < 10 ? ('0' + value) : value;
}

function GetBidCountYuCe() {
	var url = config.ServerUrl + "BidAssistant/ProjectInfo/ProjectInfo_Data.ashx";
	var self = plus.webview.currentWebview();
	var BuildWay = self.BuildWay;
	var ForUse = self.ForUse;
	var ProjectScale2 = self.ProjectScale2;
	var BidControlPrice = self.BidControlPrice;
	var ProjectType = self.ProjectType;
	var WinBidType = self.WinBidType;
	var CheckType = self.CheckType;
	var BasePrice = self.BasePrice;
	var PrjName = self.PrjName;
	var BidNo = self.BidNo;
	var data = {
		Method: 'GetBidCountYuCe',
		BuildWay: BuildWay,
		ForUse: ForUse,
		ProjectScale2: ProjectScale2,
		BidControlPrice: BidControlPrice,
		ProjectType: ProjectType,
		WinBidType: WinBidType,
		CheckType: CheckType,
		BasePrice: BasePrice
	};
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			//			console.log(JSON.stringify(data))
			if(data.success == true) {
				var res = data.message.split(';');
				if(res[1] != '无对应历史数据') {
					qujian = res[0];
					if(res[1] != '')
						tiaojian = res[1];
					var msg = "";
					if(BidControlPrice != "") {
						msg += "招标控制价：" + BidControlPrice + "；";
					}
					if(ProjectType != "") {
						msg += "工程类型：" + ProjectType + "；";
					}
					if(ProjectScale2 != "") {
						switch(ProjectScale2) {
							case "10":
								ProjectScale2 = "1000万以下";

								break;
							case "20":
								ProjectScale2 = "1000万—5000万";

								break;
							case "30":
								ProjectScale2 = "5000万—20000万";

								break;
							case "40":
								ProjectScale2 = "20000以上";

								break;
						}
						msg += "工程规模：" + ProjectScale2 + "；";
					}
					if(BuildWay != "") {
						msg += "工程建设方式：" + BuildWay + "；";
					}
					if(ForUse != "") {
						msg += "工程使用用途：" + ForUse + "；";
					}
					if(WinBidType != "") {
						msg += "评标方法：" + WinBidType + "；";
					}
					if(CheckType != "") {
						msg += "资格审查方式：" + CheckType + "；";
					}
					if(BasePrice != "") {
						msg += "评标基准价计算与修正方式：" + BasePrice + "；";
					}

					if(localStorage["isFree"] == 'true' || isVIP == true || localStorage["isHuoDong"] == "true" || isFree) {
						document.getElementById("result").innerText = qujian;
						if(res[1] != '')
							document.getElementById("tj_txt").innerText = '减少了如下条件：' + res[1];
						document.getElementById("YCMSG").innerText = "预测结果仅供参考";
						VisitInfo('投标单位家数预测', '项目名称：【' + PrjName + '】&nbsp;&nbsp;&nbsp;&nbsp;标段编号:【' + BidNo + '】&nbsp;&nbsp;&nbsp;&nbsp;根据标段属性预测投标单位家数：' + msg);
						return;
					}
					if(parseInt(localStorage["coinnum"]) - coin < 0) {
						mui.toast("火币余额不足，请充值");
						mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
						return;
					}
					var bts = ["确定", "取消"];
					plus.nativeUI.confirm("预测成功！查询将花费" + coin + "枚火币，当前火币余额" + toThousands(localStorage["coinnum"]) + "枚，请确认是否查询。", function(e) {
						if(bts[e.index] == "确定") {
							VisitInfo('投标单位家数预测', '项目名称：【' + PrjName + '】&nbsp;&nbsp;&nbsp;&nbsp;标段编号:【' + BidNo + '】&nbsp;&nbsp;&nbsp;&nbsp;根据标段属性预测价格：' + msg);
							GoldCoinConsumer("预测投标单位家数");
						}

					}, "提示", bts);
				} else {
					document.getElementById("result").innerText = '无对应历史数据';
				}

			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		}
	});
}

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: coin,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || localStorage["isFree"] != 'true')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚火币");
					document.getElementById("result").innerText = qujian;
					if(tiaojian != '')
						document.getElementById("tj_txt").innerText = '减少了如下条件：' + tiaojian;
					document.getElementById("YCMSG").innerText = "预测结果仅供参考";
					mui.fire(plus.webview.getWebviewById("html/gouMaiJinBi/jinBi.html"), "refreshjinbi", {});
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}