mui.init();
var CompanyGuid;
mui.plusReady(function() {
	CompanyGuid = plus.webview.currentWebview().unitId;
	document.getElementById("CompanyName").innerText = plus.webview.currentWebview().CompanyName;
	getBidCount();

})


//选择时间
var btns = mui('.lidate');
btns.each(function(i, btn) {
	btn.addEventListener('tap', function() {
		var nowYear = new Date().getFullYear();
        var optionsJson='{"type":"date","beginYear":'+(nowYear-2)+',"endYear":'+(nowYear+1)+'}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('name');
		var obj = this.querySelector('.frselect');
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			document.getElementById(id).innerText = rs.text;
			obj.innerText = '';
			picker.dispose();
		});
	}, false);
});


//选择工程类型
var showUserPickerButton1 = document.getElementById('gclx');
var userResult1 = document.getElementById('spangclx');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '装饰装修工程',
		text: '装饰装修工程'
	}, {
		value: '安装工程',
		text: '安装工程'
	}, {
		value: '市政公用工程',
		text: '市政公用工程'
	}, {
		value: '园林绿化古建筑工程',
		text: '园林绿化古建筑工程'
	}, {
		value: '市政养护工程',
		text: '市政养护工程'
	}, {
		value: '水利水电工程',
		text: '水利水电工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '雨污水改造',
		text: '雨污水改造'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker1.show(function(items) {

		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].value != "") {
			showUserPickerButton1.querySelector('.frselect').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.frselect').innerText = '请选择';
		}
	});
}, false);

//获取投标次数
function getBidCount() {
	plus.nativeUI.showWaiting("等待中...");
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetBidCount',
		CompanyGuid: CompanyGuid,
		token: Par_token,
		device_id: Par_deviceid,
		ProjectType:document.getElementById('spangclx').innerText.trim(),
		TimeFrom:document.getElementById('starttime').innerText.trim(),
		TimeTo:document.getElementById('endtime').innerText.trim()
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.message != 'nodata') {
				document.getElementById("tbcs").innerText = response.message[0]['number'] == undefined ? 0 : response.message[0]['number'];
			}
			getAvgLowRate();
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//获取平均下浮率
function getAvgLowRate() {

	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetAvgLowRate',
		CompanyGuid: CompanyGuid,
		token: Par_token,
		device_id: Par_deviceid,
		ProjectType:document.getElementById('spangclx').innerText.trim(),
		TimeFrom:document.getElementById('starttime').innerText.trim(),
		TimeTo:document.getElementById('endtime').innerText.trim()
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.message != 'nodata') {

				document.getElementById("pjxfl").innerText = response.message[0]['avg(floatingrate)'] == undefined ? 0 : parseFloat(response.message[0]['avg(floatingrate)'] * 100).toFixed(2) + "%";
			}
			getMaxLowRate();
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//获取最高下浮率
function getMaxLowRate() {
	plus.nativeUI.showWaiting("等待中...");
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetMaxLowRate',
		CompanyGuid: CompanyGuid,
		token: Par_token,
		device_id: Par_deviceid,
		ProjectType:document.getElementById('spangclx').innerText.trim(),
		TimeFrom:document.getElementById('starttime').innerText.trim(),
		TimeTo:document.getElementById('endtime').innerText.trim()
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.message != 'nodata') {
				document.getElementById("zgxfl").innerText = response.message[0]['Max(floatingrate)'] == undefined ? 0 : parseFloat(response.message[0]['Max(floatingrate)'] * 100).toFixed(2) + "%";
			}
			getMinLowRate();
		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

//获取最低下浮率
function getMinLowRate() {

	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetMinLowRate',
		CompanyGuid: CompanyGuid,
		token: Par_token,
		device_id: Par_deviceid,
		ProjectType:document.getElementById('spangclx').innerText.trim(),
		TimeFrom:document.getElementById('starttime').innerText.trim(),
		TimeTo:document.getElementById('endtime').innerText.trim()
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			if(response.message != 'nodata') {
				document.getElementById("zdxfl").innerText = response.message[0]['Min(floatingrate)'] == undefined ? 0 : parseFloat(response.message[0]['Min(floatingrate)'] * 100).toFixed(2) + "%";
			}
			GetLowRateListByCompanyGuid();

		},
		error: function(xhr, type, errorThrown) {
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
}

function GetLowRateListByCompanyGuid() {
	var Par_token = app.getState().token;
	var Par_deviceid = plus.device.uuid;
	var data = {
		method: 'GetLowRateListByCompanyGuid',
		CompanyGuid: CompanyGuid,
		token: Par_token,
		device_id: Par_deviceid,
		ProjectType:document.getElementById('spangclx').innerText.trim(),
		TimeFrom:document.getElementById('starttime').innerText.trim(),
		TimeTo:document.getElementById('endtime').innerText.trim()
	};
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(response) {
			//console.log(JSON.stringify(response));
			var dvcontent = Zepto('#content');
			dvcontent.html("");
			if(response.message != null && response.message != 'nodata') {
				for(var i = 0; i < response.message.length; i++) {
					var floatrate = response.message[i]['floatingrate'] == undefined ? 0 : parseFloat(response.message[i]['floatingrate'] * 100).toFixed(2) + "%";
					var WinBidType=response.message[i]['WinBidType'] == undefined ?"":response.message[i]['WinBidType'];
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<div class="spanTitle">项目名称 :</div> ' +
						'<div class="spanTxt">' + response.message[i].ProjectName + '</div>' +
						'<div class="spanTitle">标段编号 :</div> ' +
						'<div class="spanTxt">' + response.message[i].BidNo + '</div>' +
						'<div class="spanTitle">开标时间 :</div> ' +
						'<div class="spanTxt">' + response.message[i].BeginBidDate.replace('T',' ') + '</div>' +
						'<div class="spanTitle">项目经理:</div> ' +
						'<div class="spanTxt">' + (response.message[i].ManagerName==undefined?'':response.message[i].ManagerName) + '</div>' +
						'<div class="spanTitle">投标下浮率 :</div> ' +
						'<div class="spanTxt">' + floatrate + '</div>'+
						'<div class="spanTitle">评标方法 :</div> ' +
						'<div class="spanTxt">' + WinBidType + '</div>'+
						'<div class="spanTitle">工程类别 :</div> ' +
						'<div class="spanTxt">' + response.message[i]['ProjectType']  + '</div>';
 
					dvcontent.append(li);
				}
			}

			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});
}


document.getElementById('lishi_btn').addEventListener('tap',function(){
	getBidCount();
})

document.getElementById('cleardv').addEventListener('tap',function(){
	
	  document.getElementById('spangclx').innerText="";
	  document.getElementById('spangclx').lang="";
	  document.getElementById('starttime').innerText="";
	  document.getElementById('starttime').lang="";
	  document.getElementById('endtime').innerText="";
	  document.getElementById('endtime').lang="";
	  mui(".frselect").each(function() {
		this.innerText = '请选择';

	});
})