mui.init();
var PGuid = '';
mui.plusReady(function() {
	document.getElementById("pro").innerText = plus.webview.currentWebview().Pname;
	PGuid = plus.webview.currentWebview().Pguid;
})

var userPicker = new mui.PopPicker();
userPicker.setData([{
	value: '开标时间',
	text: '开标时间'
}, {
	value: '开标地点',
	text: '开标地点'
}, {
	value: '中标单位名称',
	text: '中标单位名称'
}, {
	value: '中标单位价格',
	text: '中标单位价格'
}, {
	value: '招标控制价',
	text: '招标控制价'
}, {
	value: '参与唱标单位数量',
	text: '参与唱标单位数量'
}, {
	value: '评标基准价计算方法',
	text: '评标基准价计算方法'
}, {
	value: 'K值',
	text: 'K值'
}, {
	value: 'K1',
	text: 'K1'
}, {
	value: 'K2',
	text: 'K2'
}, {
	value: 'Q1',
	text: 'Q1'
}]);
var showUserPickerButton = document.getElementById('div_Sel');
var userResult = document.getElementById('showUserPicker');
showUserPickerButton.addEventListener('tap', function(event) {
	userPicker.show(function(items) {
		userResult.innerText = items[0].text;
		if(items[0].text == '开标时间') {
			document.getElementById("v1").style.display = 'none';
			document.getElementById("v2").style.display = 'block';
		} else {
			document.getElementById("v2").style.display = 'none';
			document.getElementById("v1").style.display = 'block';
		}
	});
}, false);

mui('.div_rdoList').on('tap', '.mui-left', function() {
	var id = this.getAttribute('id');
	if(id == 'divP1') {
		document.getElementById("ra1").checked = false;
		document.getElementById("div_1").style.display = 'block';
		document.getElementById("div_2").style.display = 'none';
	} else {
		document.getElementById("ra2").checked = false;
		document.getElementById("div_2").style.display = 'block';
		document.getElementById("div_1").style.display = 'none';
	}
})

//提交计算系数
document.getElementById("sm1").addEventListener('tap', function() {
	
	if(document.getElementById("v1").value == '' && document.getElementById("v2").value == '') {
		mui.toast('前先填写值');
		return;
	}
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "BidAssistant/Gather/Gather_Data.ashx";
    var Type=document.getElementById("showUserPicker").innerText;
    var Value=document.getElementById("v1").value;
    
    if(Type=="K值")
    {
    	Type="K";
    	
    }
    if(Type=="开标时间"){
    	Value=document.getElementById("v2").value+":00";
    }
   
	var data = {
		method: 'SaveInfo',
		ProjectGuid: PGuid,
		ProjectName: document.getElementById("pro").innerText,
		BidName: plus.webview.currentWebview().Bidname,
		BidNo:plus.webview.currentWebview().Bidno,
		Type: Type,
		Value:Value,
		token: app.getState().token,
		device_id: plus.device.uuid
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.message == 'ok') {
				mui.toast('录入成功');
				document.getElementById("v1").value = '';
				document.getElementById("v2").value = '';
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
})

//提交价格信息
document.getElementById("sm2").addEventListener('tap', function() {
	if(document.getElementById("tbr").value == '' && document.getElementById("tbjg").value == '') {
		mui.toast('前先填写信息');
		return;
	}
	plus.nativeUI.showWaiting();
	var url = config.ServerUrl + "BidAssistant/Gather/Gather_Data.ashx";
	var data = {
		method: 'SaveBidInfo',
		ProjectGuid: PGuid,
		ProjectName: document.getElementById("pro").innerText,		
		BidName: plus.webview.currentWebview().Bidname,
		BidNo:plus.webview.currentWebview().Bidno,
		CompanyName: document.getElementById("tbr").value,
		Price:document.getElementById("tbjg").value,
		token: app.getState().token,
		device_id: plus.device.uuid
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.message == 'ok') {
				mui.toast('录入成功');
				document.getElementById("tbr").value = '';
				document.getElementById("tbjg").value = '';
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络错误");
			console.log(errorThrown);
			plus.nativeUI.closeWaiting();
		}
	});
})

document.getElementById("v2").addEventListener('tap', function() {
	var nowYear=new Date().getFullYear();
    var optionsJson='{"type":"date","beginYear":'+(nowYear-2)+',"endYear":'+(nowYear+1)+'}';
	var options = JSON.parse(optionsJson);
	var id = this.getAttribute('id');
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		document.getElementById("v2").value = rs.text;
		picker.dispose();
	});
}, false);