 mui.init({
	swipeBack: true //启用右滑关闭功能
});
mui.plusReady(function() {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var self = plus.webview.currentWebview();
	var UnitGuid = self.UnitGuid;
	var data = {
		Method: 'GetTenderingDetail',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};
	Zepto("#Content").html("正在加载...");
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.success == "true") {
				var NoticeTime =new Date(data.message[0].NoticeTime).Format('yyyy-MM-dd');
 
				var NoticeEndTime =new Date(data.message[0].NoticeEndTime).Format('yyyy-MM-dd');
 
				Zepto("#Title").html(data.message[0].ProjectName);
				Zepto("#ZBYZ").html(data.message[0].BidName);
				Zepto("#TenderingNo").html(data.message[0].TenderingNo);
				Zepto("#NoticeTime").html(NoticeTime);
				Zepto("#NoticeEndTime").html(NoticeEndTime);
				Zepto("#Content").html(data.message[0].NoticeContent);
			 		     
			 
			} else {
				mui.toast("获取失败!");
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			Zepto("#Content").html("超时，加载失败...");
		}
	});
		});