mui.init();
var coin = 0;
mui.plusReady(function() {
	mui.previewImage();
	getInfoDetail();
	document.getElementById("UrlAddress").addEventListener("tap", function() {
		try {
			var url = encodeURI(Zepto("#UrlAddress").attr("href"));
			if(url.indexOf("http://") != 0) {
				url = "http://" + url;
			}
			console.log("url:" + url);
			plus.runtime.openURL(url, function(error) {
				mui.toast("打开失败");
				console.log("打开失败:" + error)
			})
			//			plus.runtime.openURL(url,function);
		} catch(e) {
			console.log(e.message);
		}

	})

})

//获取信息详情
function getInfoDetail() {
	var url = config.ServerUrl + 'AppService/App_Data.ashx';
	var data = {
		Method: 'GetBulletinDetail',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: plus.webview.currentWebview().UnitID
	};
	plus.nativeUI.showWaiting();
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.success == true) {
				var info = data.message;
				console.log("123");
				Zepto("#ProjectName").text(info.ProjectName);
				Zepto("#BidName").text(info.BidName);
				Zepto("#BidNo").text(info.BidNo);
				Zepto("#ProjectPlace").text(info.ProjectPlace);
				Zepto("#ProjectTimeRequest").text(info.ProjectTimeRequest + "天");
				Zepto("#EstimateContractPrice").text(info.EstimateContractPrice);
				Zepto("#BidderQualification").text(info.BidderQualification);
				Zepto("#ManagerQualification").text(info.ManagerQualification);
				Zepto("#IfWarnBid").text(info.IfWarnBid);
				Zepto("#IfComboBid").text(info.IfComboBid);
				Zepto("#CheckType").text(info.CheckType);
				Zepto("#NoticeStartDate").text(info.NoticeStartDate);
				try {
					if(info.UrlAddress != "") {
						//							document.getElementById("myhelp").href = info.UrlAddress;
						Zepto("#UrlAddress").attr("href", info.UrlAddress);
//						Zepto("#UrlAddress").text("打开原文");
						document.getElementById("UrlAddress").style.display="block";
					}else{
						document.getElementById("UrlAddress").style.display="none";
					}
				} catch(e) {
					console.log(e.message)
				}
			}
			//				Zepto("#UrlAddress").attr("href",info.UrlAddress);
			//				console.log(Zepto("#UrlAddress").attr("href"));
			//			}
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络错误');
			console.log(errorThrown);
		}
	});
}